﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MyTransactions.ascx.cs" Inherits="Smith.DNN.Modules.Registration.MyTransactions" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>


  <div><h2><asp:Label ID="Label20" runat="server" Text="My Transactions" /></h2></div>

  <table>
        <tr ID="trDateFilter" runat="server" align="left">
        <td>
             <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
            &nbsp;&nbsp;&nbsp;&nbsp;
            <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
            <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Show All" CssClass="dnnPrimaryAction" />
            <asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />&nbsp;&nbsp;&nbsp
        </td> 
    </tr>
</table> 

  <table Width="100%">     
       
         <tr><td>

    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" ShowFooter="True" PageSize="50" CellPadding="5" CssClass="GridCells" class="SCborder"  Width="100%"
        OnItemCommand="DataGrid1_ItemCommand" OnItemDataBound="DataGrid1_ItemDataBound" OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" >
        <HeaderStyle CssClass="GridHeader" /> 
        <%--<headerstyle cssclass="dnnGridHeader" verticalalign="Top"/>--%>
       <%-- <itemstyle cssclass="dnnGridItem" horizontalalign="Left" />
        <alternatingitemstyle cssclass="dnnGridAltItem" />
        <edititemstyle cssclass="dnnFormInput" />
        <selecteditemstyle cssclass="dnnFormError" />
        <footerstyle cssclass="dnnGridFooter" />--%>
        <%--<pagerstyle cssclass="dnnGridPager" />--%>
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev" cssclass="dnnGridPager" />
       
    <Columns>
        <asp:TemplateColumn HeaderStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <asp:LinkButton ID="btnFilterCustomers" runat="server" CommandName="filterCustomers" Text="Filter" CssClass="dnnPrimaryAction"  />
            </HeaderTemplate>
          <%--  <ItemTemplate>
                <asp:LinkButton ID="btnEditCustomer" runat="server" CausesValidation="false" CommandName="editCustomer" Text="Edit" CssClass="dnnPrimaryAction" />
            </ItemTemplate>--%>
        </asp:TemplateColumn>

         <asp:TemplateColumn HeaderText="THID" Visible="false" >
            <ItemTemplate>
                <asp:Label ID="lblTHID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.tranheaderid")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="ID" SortExpression="trandetailid" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCellsCenter" ItemStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortTransID" runat="server" CommandArgument="transid" CommandName="Sort" Text="ID" /><br />
                <asp:TextBox ID="TextBoxSearchTransID" runat="server" Width="35px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblTID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.trandetailid")) %>' Width="35px" />
            </ItemTemplate>
        </asp:TemplateColumn>

          <asp:TemplateColumn HeaderText="ID" Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblCID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.customerid")) %>' Width="35px" />
            </ItemTemplate>
        </asp:TemplateColumn>
            
<%--        <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells" >
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortFirstName" runat="server" CommandArgument="firstname" CommandName="Sort" Text="First Name" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchFirstName" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>' />
            </ItemTemplate>  
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortLastName" runat="server" CommandArgument="lastname" CommandName="Sort" Text="Last Name" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchLastName" runat="server" Width="100px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>

          <asp:TemplateColumn HeaderText="Company Name" SortExpression="companyname" ItemStyle-CssClass="GridCells" >
                <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortCompanyName" runat="server" CommandArgument="CompanyName" CommandName="Sort" Text="CompanyName"/><br />
                <asp:TextBox ID="TextBoxSearchCompanyName" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCompanyName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.companyname")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>--%>
            
        <asp:TemplateColumn HeaderText="Tran Type" SortExpression="trantype" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortTranType" runat="server" CommandArgument="TranType" CommandName="Sort" Text="Tran Type" CSSClass="linkButton" /><br />
                 <asp:DropDownList ID="ddlGridTranType" runat="server" DataSource="<%#GetTranType()%>" DataTextField="TranType" DataValueField="TranTypeID">
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblTranType" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.TranType")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Trans Date" SortExpression="transdate" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTransDate" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.transdate")) %>'  />
            </ItemTemplate>
        </asp:TemplateColumn>

         <asp:TemplateColumn HeaderText="Category" SortExpression="CategoryName" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortCategoryName" runat="server" CommandArgument="CategoryName" CommandName="Sort" Text="Category"></asp:LinkButton><br />
                <asp:DropDownList ID="ddlGridCategoryName" runat="server" DataSource="<%#GetCategories()%>" DataTextField="CategoryName" DataValueField="Categoryid" CssClass="textboxstyle" >
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCategoryName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.CategoryName")) %>'  />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Product Name" SortExpression="ProductName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortProductName" runat="server" CommandArgument="ProductName" CommandName="Sort" Text="Product Name" /><br />
                <asp:DropDownList ID="ddlGridProductName" runat="server" DataSource="<%#GetProducts()%>" DataTextField="productname" DataValueField="productid" CssClass="textboxstyle" >
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblProductName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductName") %>' Width="100px" />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Quantity" SortExpression="Quantity" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCellsCenter" ItemStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortQuantity" runat="server" CommandArgument="Quantity" CommandName="Sort" Text="Quantity" Width="50px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchQuantity" runat="server" Width="55px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblQuantity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.Quantity")) %>' />
            </ItemTemplate>  
        </asp:TemplateColumn>
           
        <asp:TemplateColumn HeaderText="Amount" SortExpression="amount" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCellsRght" ItemStyle-HorizontalAlign="Right" >
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortAmount" runat="server" CommandArgument="Amount" CommandName="Sort" Text="Amount" Width="70px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchAmount" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Line Total" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCellsRight" ItemStyle-HorizontalAlign="Right">
            <ItemTemplate>
                <asp:label ID="lblExtendedPrice" runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>
            
<%--        <asp:TemplateColumn HeaderText="DNN Login" SortExpression="dnnlogin" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortDNNLogin" runat="server" CommandArgument="DNNLogin" CommandName="Sort" Text="DNNLogin" Width="70px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchDNNLogin" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblDNNLogin" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.dnnlogin")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="IP Address" SortExpression="ipaddress" ItemStyle-CssClass="GridCells" Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblIPAddress" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.ipaddress")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>--%>
      
     <%--   <asp:TemplateColumn >
            <ItemTemplate>
                <asp:LinkButton ID="btnDelete" runat="server" CausesValidation="false" CommandName="deleteCustomer" Text="Delete" CssClass="dnnPrimaryAction" />
            </ItemTemplate>
        </asp:TemplateColumn>--%>
                
    </Columns>
</asp:DataGrid>

        </td></tr>

        <tr><td align="right">
            <b><asp:Label ID="Label3" runat="server" CssClass="SmithProdName" Text="Total:" /></b>&nbsp;&nbsp; 
            <asp:Label ID="lblTotal" runat="server" CssClass="SmithProdName" />
        </td></tr>
      
    </table>

<%--<asp:HiddenField ID="hdCustomerID" runat="server" />--%>

