<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ConfirmStatus" Codebehind="ConfirmStatus.ascx.cs" %>

<script type="text/javascript">
    $(document).ready(function () {
        var currentDate = new Date()
        var day = currentDate.getDate()
        var month = currentDate.getMonth() + 1
        var year = currentDate.getFullYear()
        document.getElementById("date").innerHTML = (month + "/" + day + "/" + year)
    });
</script>

<script type="text/javascript">

    $(document).ready(function () {

        //#region Hide Customer Info Table if no data was passed from the step1

        var $tblRegInfo = $('#tblRegInfo');

        var $tblRows = $tblRegInfo.find('tr');

        var rowsCount = $tblRows.length;

        $tblRows.each(function (i, row) {
            var $row = $(row);

            var $tblCell = $row.find('td:gt(0)');

            if (!$tblCell.length) {
                rowsCount--;
            }
            else if ($tblCell.text().trim() === '') {
                $row.hide();
                rowsCount--;
            }
        });

        if (rowsCount < 2) {
            $tblRegInfo.hide();
            $('#hdrCustInfoTitle').hide();
        }

        //#endregion

        //#region Hide Top Customer Address Table if no data was passed from the step1

        var $tblTopCustomerInfo = $('#tblTopCustomerInfo');

        $tblRows = $tblTopCustomerInfo.find('tr');

        rowsCount = $tblRows.length;

        $tblRows.each(function (i, row) {
            var $row = $(row);

            var $tblCell = $row.find('td');

            if ($.inArray($tblCell.text().trim(), ['', ',']) !== -1) {
                $row.hide();
                rowsCount--;
            }
        });

        if (rowsCount < 1) {
            $tblTopCustomerInfo.hide();
        }

        //#endregion

    });

</script>

<table cellpadding="5">
    <tr>
        <td colspan="4">
            <h2><asp:Label ID="lblHead" EnableViewState="False" runat="server" /></h2>
        </td>
    </tr>
    <tr><td colspan="4"><h2><asp:Label ID="lblStatus" runat="server" resourcekey="ConfirmStatusMsg.Text" /></h2></td></tr>
</table>

<div>
    <razorbody>
        <leftbox>
            <h1 class="sc-text-left">
                <img runat="server" id="imgMerchantLogo" style="max-width: 250px;" />
            </h1>
        </leftbox>
        <rightbox style="background-color: #f2f2f2;">
            <h1 class="sc-text-left">ORDER CONFIRMATION</h1>
            <table id="tblTopCustomerInfo">
                <tbody>
                    <tr>
                        <td><asp:Label runat="server" ID="lblCustomerCompanyName"></asp:Label></td>
                    </tr>
                    <tr>
                        <td><asp:Label runat="server" ID="lblCustomerFullName"></asp:Label></td>
                    </tr>
                    <tr>
                        <td><asp:Label runat="server" ID="lblCustomerAddress"></asp:Label></td>
                    </tr>
                    <tr>
                        <td><asp:Label runat="server" ID="lblCustomerRegionInfo"></asp:Label></td>
                    </tr>
                </tbody>
            </table>
        </rightbox>
    </razorbody>
</div>

<%--Order Details--%>
<h4><asp:Label ID="lblOrderDetailLabel" runat="server" resourcekey="OrderDetailsTitle" /></h4>
<table class="SC-table">
    <tr>
        <td>Date Purchased:</td>
        <td id="date"></td>
    </tr>
    <tr>
        <td style="width:50%;"><%= Localization.GetString("lblItemLabel.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblItem" runat="server" /></td>
    </tr>
     <tr runat="server" id="trQuantity" visible="false">
       <td><%= Localization.GetString("Quantity.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblQuantity" /></td>
    </tr>

     <tr runat="server" id="trDiscountDesc" visible="false">
       <td><%= Localization.GetString("DiscountDesc.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblDiscountDesc" /></td>
    </tr>

    <tr runat="server" id="trPrice">
        <td><%= Localization.GetString("lblPriceLabel.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblPrice" runat="server" /></td>
    </tr>

    <tr id="trDeposit" runat="server" visible="false">
        <td>
            <b>
                <asp:Label runat="server" ID="lblDepositLabel"></asp:Label>
            </b>
        </td>
        <td><asp:Label ID="lblDeposit" runat="server" /></td>
    </tr>

    <tr id="trRecur1" runat="server" visible="false">
        <td>
            <asp:Label ID="lblDueLabel" runat="server" Text="Due On:" />
            <asp:Label ID="lblRecurDate1" runat="server" />
        </td>
        <td>
            <asp:Label ID="lblPrice2" runat="server" />
            <asp:Label ID="lblRecurAmt1" runat="server" Visible="false" />
        </td>
    </tr>

     <tr id="trRecurInterval" runat="server" visible="false">
        <td><%= Localization.GetString("Recurring.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblRecurInterval" runat="server" /></td>
    </tr>

    <tr id="trRecur2" runat="server" visible="false">
        <td>
            <%= Localization.GetString("LastPaymentDueOn.Text", LocalResourceFile)%>
        </td>
        <td>
            <asp:Label ID="lblRecurDate2" runat="server" />
            <asp:Label ID="lblRecurAmt2" runat="server" Visible="false" />
        </td>
    </tr>

     <tr runat="server" id="trSurcharge" visible="false">
       <td><%= Localization.GetString("lblSurcharge.Text", LocalResourceFile)%></td>
       <td><asp:Label ID="lblSurcharge" runat="server"  /></td>
    </tr>

    <tr runat="server" id="trInvoiceNo" visible="false">
       <td ><%= Localization.GetString("InvoiceNumber.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblInvoiceNo" /></td>
    </tr>

    <tr runat="server" id="trPaymentType">
        <td><%= Localization.GetString("lblPayMethodLabel.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblPaymentType" runat="server" /></td>
    </tr>

</table>


<%--Contact Info--%>
<h4 id="hdrCustInfoTitle"><asp:Label ID="lblCustInfoTitle" runat="server" Text="CUSTOMER INFORMATION"  /></h4>
<table id="tblRegInfo" class="SC-table">
    <tr runat="server" id="trCompanyName" visible="false">
        <td><%= Localization.GetString("lblCompanyName.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblCompanyName" runat="server" /></td>
    </tr>

    <tr>
        <td style="width:50%;"><%= Localization.GetString("FirstName.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentFirstName" runat="server" /></td>
    </tr>

    <tr>
        <td><%= Localization.GetString("LastName.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentLastName" runat="server" /></td>
    </tr>

    <tr runat="server" id="trUserName" visible="false">
        <td ><%= Localization.GetString("UserName.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblUserName" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("Email.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentEmail" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("Address1.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentAddress" runat="server" /></td>
    </tr>

    <tr runat="server" id="trCity" visible="false">
        <td><%= Localization.GetString("City.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentCity" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("State.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentState" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("Country.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblCountry" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("Zip.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentZip" runat="server" /></td>
    </tr>

    <tr runat="server" id="trWorkPhone" visible="false">
        <td ><%= Localization.GetString("WorkPhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblWorkPhone" runat="server" /></td>
    </tr>

     <tr runat="server" id="trCellPhone" visible="false">
        <td ><%= Localization.GetString("CellPhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblCellPhone" runat="server" /></td>
    </tr>

    <tr runat="server" id="trHomePhone" visible="false">
        <td ><%= Localization.GetString("HomePhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblHomePhone" runat="server" /></td>
    </tr>
</table>


<table runat="server" id="tblCustomFields" class="SC-table" visible="false">
    <tr runat="server" id="trCustomFieldsTitle" visible="false">
        <td colspan="2">
            <h4><asp:Label ID="lblCustomFieldsTitle" runat="server" Text="ADDITIONAL INFORMATION" /></h4>
        </td>
    </tr>
</table>


<table>
    <tr runat="server" id="trNote" visible="false">
        <td>
            <asp:Label ID="lblEmailUserName" runat="server" CssClass="SmithRedMsg"/>
        </td>
    </tr>
</table>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Continue" resourcekey="btnContinue" /></li>
</ul>







