﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManageLicense.ascx.cs"  Inherits="Smith.DNN.Modules.Registration.ManageLicense" %>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditLicense" runat="Server">

    <div><h2>Manage License Keys</h2></div>
    <asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />

    <table width="100%">      
        <tr><td></td></tr>
        <tr><td align="left">
            <asp:LinkButton ID="btnShowAddScreen" runat="server" onclick="btnShowAddScreen_Click" Text="Add License" CausesValidation="false" CssClass="dnnPrimaryAction" />
       </td></tr>
    
        <tr>
            <td>
                <asp:GridView ID="grdLicense" runat="server" DataKeyNames="LicenseKeyID" AutoGenerateColumns="false" GridLines="Horizontal" OnRowDeleting="grdLicense_RowDeleting" 
                    CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">
                   <%-- OnRowCancelingEdit="grdLicense_RowCancelingEdit" OnRowEditing="grdLicense_RowEditing" onrowdatabound="grdLicense_RowDataBound" OnRowUpdating="grdLicense_RowUpdating"--%>
                 
                    <EmptyDataTemplate>
                        <asp:Label ID="lblNoRecordsMsg" runat="server" Text="No License Keys added." CssClass="SmithProdText" />
                    </EmptyDataTemplate>

                    <Columns>
                        <%--<asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20px">
                            <ItemTemplate>
                                <asp:LinkButton CausesValidation="false"  ID="lkEditLicense" runat="server" Text="Edit" OnClick="lkEditLicense" Width="20px"/>
                            </ItemTemplate>
                        </asp:TemplateField>--%>
                        <asp:TemplateField HeaderText="LicenseKeyID" HeaderStyle-HorizontalAlign="Left" Visible="false">
                            <ItemTemplate>
                                <asp:Label ID="lblLicenseKeyID" runat="server" Text='<%#Eval("LicenseKeyID") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                           
                        <asp:TemplateField HeaderText="Hostname" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblHostName" runat="server" Text='<%#Eval("Hostname") %>'></asp:Label>
                            </ItemTemplate>
                           <%-- <EditItemTemplate>
                                <asp:TextBox ID="txtLicenseName" runat="server" Text='<%#Eval("LicenseName") %>'></asp:TextBox>
                            </EditItemTemplate>--%>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Licensed Modules" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblLicenseKey" runat="server" Text='<%#Eval("Modules") %>'></asp:Label>
                            </ItemTemplate>
                          <%--  <EditItemTemplate>
                                <asp:TextBox ID="txtLicenseCode" runat="server" Text='<%#Eval("LicenseCode") %>'></asp:TextBox>
                            </EditItemTemplate>--%>
                        </asp:TemplateField>
                            
                        <asp:TemplateField HeaderText="Create Date" SortExpression="CreateDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblCreateDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CreateDate")) %>'></asp:Label>
                            </ItemTemplate>
                          <%--  <EditItemTemplate>
                                <asp:TextBox ID="txtSignupDate" runat="server" Text='<%#Eval("SignupDate") %>'></asp:TextBox>
                            </EditItemTemplate>--%>
                        </asp:TemplateField>
    
                        <asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" ItemStyle-CssClass="GridCellsRight"/>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        
    </table>

</asp:View>

  <asp:View ID="viewAddLicense" runat="server">

     <table width="100%" border="0"> 
        <tr align="left"><td colspan="2"><h2><asp:Label ID="lblEditorTitle" runat="server" Text="Add License Key" /></h2></td></tr>
        <tr><td></td></tr>
    
          <tr align="left">
            <td class="SmithProdText" style="width:15%; white-space:nowrap;">Hostname:</td>
            <td><asp:TextBox ID="txtHostName" runat="server" width="95%" CssClass="tLimitSize450" /></td>
        </tr>
            
        <tr style="height:10"><td>&nbsp;</td></tr>

        <tr align="left">
            <td class="SmithProdText" style="width:15%; white-space:nowrap;">License Key:</td>
            <td><asp:TextBox ID="txtLicenseKey" runat="server" Height="75px" TextMode="MultiLine" Width="100%" /></td>
        </tr>

        <tr style="height:7"><td></td></tr>

      <%--  <tr align="left">
            <td class="SmithProdText">Signup Date:</td>
            <td>
                <asp:TextBox ID="txtSignupDate" runat="server" Width="100px"></asp:TextBox>&nbsp;
                <asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
            </td>
        </tr>--%>
        
        <tr style="height:20"><td>&nbsp;</td></tr>
            
      <%--  <tr align="left">
            <td></td>
            <td>
              <asp:Button ID="btnAddLicense" runat="server" Text="Add New License" OnClick="btnAddLicense_Click" Width="140px" />&nbsp;
              <asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Text="Cancel" CausesValidation="false"/>&nbsp;
            </td>
        </tr>--%>

    </table>

     <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnAddLicense" runat="server" OnClick="btnAddLicense_Click" CssClass="dnnPrimaryAction" Text="Add License" /></li>
        <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
    </ul>

</asp:View>

</asp:MultiView>

<asp:HiddenField ID="hdLicenseID" runat="server" />

   