﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RegForm.ascx.cs" Inherits="Smith.DNN.Modules.Registration.RegForm" %>
<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>

<script type="text/javascript" src="http://www.google.com/recaptcha/api/js/recaptcha_ajax.js"></script>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/js/jQuery.MultiFile.min.js") %>'></script>

<script type="text/javascript">
    $(document).ready(function () {
        $.fn.dnnFileInput = function () { };

    });
</script>

<%--<script type="text/javascript">
    function reload_captcha() {
        if ($(".dnnFormValidationSummary").length > 0) {
            Recaptcha.create("yourKey", "reCaptcha_widget",
            {
                theme: "white",
                callback: Recaptcha.focus_response_field
            });
        }
    }
</script>--%>

<form class="SC-form-horizontal">
    <div runat="server" id="trCustSectionTitle"  visible="false">
        <h3><%= Localization.GetString("CustNameSectionTitle.Text", LocalResourceFile)%></h3>
     </div>

    <div class="SC-form-group" data-order="2">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("FirstName.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentFirstName" runat="server" MaxLength="50"  CssClass="SC-form-control SC-Field-Col SC-form-required" />
        <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtParentFirstName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>
 
    <div class="SC-form-group" data-order="1">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("LastName.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentLastName" runat="server" MaxLength="50" CssClass="SC-form-required SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtParentLastName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Email.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" CssClass="SC-form-required SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" resourcekey="InvalidEmail" Display="Dynamic" 
            ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" CssClass="SmithRequiredText" ValidationGroup="RegForm" />
    </div>

     <div class="SC-form-group" id="trWorkPhone" runat="server">
       <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("WorkPhone.Text", LocalResourceFile)%></label>   
        <asp:TextBox ID="txtWorkPhone" runat="server" MaxLength="30" CssClass="SC-form-required SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvWorkPhone" runat="server" ControlToValidate="txtWorkPhone" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <%--<asp:RegularExpressionValidator ID="revtxtWorkPhone" runat="server" ControlToValidate="txtWorkPhone" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>--%>
     </div>

    <div class="SC-form-group" id="trCellPhone" runat="server" visible="false">
       <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("CellPhone.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtCellPhone" runat="server" MaxLength="30" CssClass="SC-form-control SC-Field-Col" />
        <%--<asp:RequiredFieldValidator ID="rfvCellPhone" runat="server" ControlToValidate="txtParentCellPhone" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>--%>
        <%--<asp:RegularExpressionValidator ID="revtxtCellPhone" runat="server" ControlToValidate="txtCellPhone" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>--%>
    </div>

    <div class="SC-form-group" id="trHomePhone" runat="server" visible="false">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("HomePhone.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentHomePhone" runat="server" MaxLength="30" CssClass="SC-form-control SC-Field-Col"/>
        <%--<asp:RequiredFieldValidator ID="rfvHomePhone" runat="server" ControlToValidate="txtParentHomePhone" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>--%>
        <%--<asp:RegularExpressionValidator ID="revtxtParentHomePhone" runat="server" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" ControlToValidate="txtParentHomePhone" Display="Dynamic" ValidationGroup="RegForm"/>--%>
    </div>

    <div class="SC-form-group" id="trFax" runat="server" visible="false">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Fax.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtFax" runat="server" MaxLength="30" CssClass="SC-form-control SC-Field-Col"/>
        <%--<asp:RequiredFieldValidator ID="rfvFax" runat="server" ControlToValidate="txtFax" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>--%>
        <%--<asp:RegularExpressionValidator ID="revtxtFax" runat="server" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" ControlToValidate="txtFax" Display="Dynamic" ValidationGroup="RegForm"/>--%>
    </div>

    <div class="SC-form-group" runat="server" id="trCompanyName" visible="false">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("lblCompanyName.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtCompanyName" runat="server" MaxLength="100" CssClass="SC-form-required SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvCompanyName" runat="server" ControlToValidate="txtCompanyName" Display="Dynamic" Enabled="false" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" runat="server" id="trTaxID" visible="false" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("lblTaxID.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtTaxID" runat="server" MaxLength="100" CssClass="SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvTaxID" runat="server" ControlToValidate="txtTaxID" Display="Dynamic" Enabled="false" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" runat="server" id="trOwnerTypeDD" visible="false" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("lblOwnerTypeDD.Text", LocalResourceFile)%></label>
        <asp:DropDownList ID="ddlOwnerType" runat="server" CssClass="SC-form-control SC-Field-Col">
            <asp:ListItem Value="Individual">Individual</asp:ListItem>
            <asp:ListItem Value="Corporation">Corporation</asp:ListItem>
            <asp:ListItem Value="LLC">Limited Liability Corporation</asp:ListItem>
            <asp:ListItem Value="Partnership">Partnership</asp:ListItem>
            <asp:ListItem Value="Trust">Trust</asp:ListItem>
            <asp:ListItem Value="Other">Other</asp:ListItem>
        </asp:DropDownList>
    </div>
    
    <div runat="server" id="trSignerTitle" class="SmithSectionTitle" visible="false">Additional Authorized Signer Information</div>

    <div class="SC-form-group" runat="server" id="trSignerFirstName" visible="false">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("FirstName.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtSignerFirstName" runat="server"  MaxLength="50"  />
        <%--<asp:RequiredFieldValidator ID="rfvSignerFirstName" runat="server" ControlToValidate="txtSignerFirstName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText"/>--%>
    </div>

    <div class="SC-form-group" runat="server" id="trSignerLastName" visible="false">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("LastName.Text", LocalResourceFile)%></label> 
        <asp:TextBox ID="txtSignerLastName" runat="server"  MaxLength="50"  />
        <%--<asp:RequiredFieldValidator ID="rfvSignerLastName" runat="server" ControlToValidate="txtSignerLastName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText"/>--%>
    </div>

    <div runat="server" id="trAddressSectionTitle" class="SmithSectionTitle" visible="false">
        <label class="SmithBold"><%= Localization.GetString("AddressSectionTitle.Text", LocalResourceFile)%></label>
    </div>

    <div class="SC-form-group" id="trAddress1" runat="server" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Address1.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentAddress" runat="server" MaxLength="100" CssClass="SC-form-required SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtParentAddress" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" id="trAddress2" runat="server" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Address2.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtAddress1" runat="server" MaxLength="100" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <div class="SC-form-group" id="trCity" runat="server" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("City.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentCity" runat="server" MaxLength="50" CssClass="SC-form-required SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvCity" runat="server" ControlToValidate="txtParentCity" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" id="trCountry" runat="server" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Country.Text", LocalResourceFile)%></label>
        <asp:DropDownList ID="ddlCountry" runat="server" OnSelectedIndexChanged="ddCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true" CssClass="SC-form-required SC-form-control SC-Field-Col"></asp:DropDownList>
        <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" id="trState" runat="server">
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("State.Text", LocalResourceFile)%></label>
        <asp:DropDownList ID="ddlParentState" runat="server" CssClass="SC-form-required SC-form-control SC-Field-Col"></asp:DropDownList>
        <asp:RequiredFieldValidator ID="rfvState" runat="server" ControlToValidate="ddlParentState" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <asp:TextBox ID="txtState" runat="server" Visible="false"   MaxLength="50" CssClass="SC-form-required SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvtxtState" runat="server" ControlToValidate="txtState" Enabled="false" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" id="trZip" runat="server" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("PostalCode.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtParentZip" runat="server" MaxLength="10" CssClass="SC-form-required SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtParentZip" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <%--<asp:RegularExpressionValidator ID="revtxtParentZip" runat="server" ControlToValidate="txtParentZip" ErrorMessage=" Zip minimum of 5 digits" ValidationExpression=".{5}.*" Display="Dynamic"/>--%>
    </div>
    
    <div id="trAdditionalInfo" runat="server" class="SmithSectionTitle" visible="false" >
        <asp:Label ID="lblAdditionalInfo" runat="server" resourcekey="AdditionalInfoSectionTitle" CssClass="SmithBold"/>
    </div>

    <%--Dropdown 1--%>
    <div class="SC-form-group" runat="server" id="trUDF" visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 2--%>
   <div class="SC-form-group" runat="server" id="trUDF2"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel2" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues2" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 3--%>
   <div class="SC-form-group" runat="server" id="trUDF3"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel3" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues3" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 4--%>
   <div class="SC-form-group" runat="server" id="trUDF4"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel4" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues4" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 5--%>
   <div class="SC-form-group" runat="server" id="trUDF5"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel5" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues5" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 6--%>
   <div class="SC-form-group" runat="server" id="trUDF6"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel6" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues6" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 7--%>
   <div class="SC-form-group" runat="server" id="trUDF7"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel7" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues7" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 8--%>
   <div class="SC-form-group" runat="server" id="trUDF8"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel8" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues8" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 9--%>
   <div class="SC-form-group" runat="server" id="trUDF9"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel9" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues9" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Dropdown 10--%>
   <div class="SC-form-group" runat="server" id="trUDF10"  visible="false" >
        <asp:Label runat="server" ID="lblUDFLabel10" class="SC-Label-Col SC-control-label" />
        <asp:DropDownList ID="ddlUDFValues10" runat="Server" CssClass="SC-form-control SC-Field-Col"/>
    </div>

    <%--Checkbox List 1--%>
    <div class="SC-form-group" runat="server" id="trCBL1" visible="false">
        <asp:Label runat="server" ID="lblCBL1" class="SC-Label-Col SC-control-label" />
        <asp:CheckBoxList ID="cblValues1" runat="Server" CssClass="SmithCheckBoxList SC-Field-Col"/>
        <asp:Label runat="server" ID="lblCheckboxListMsg1" CssClass="SmithRequiredText" />
        <%--<asp:CustomValidator ID="cvCheckboxList1" runat="server" Enabled="true" EnableClientScript="true" ClientValidationFunction="ValidateCheckBoxList" ErrorMessage="Checkbox Required" CssClass="SmithRequiredText"  />--%>
    </div>

     <%--Checkbox List 2--%>
    <div class="SC-form-group" runat="server" id="trCBL2" visible="false">
        <asp:Label runat="server" ID="lblCBL2" class="SC-Label-Col SC-control-label" />
        <asp:CheckBoxList ID="cblValues2" runat="Server" CssClass="SmithCheckBoxList SC-Field-Col"/>
        <asp:Label runat="server" ID="lblCheckboxListMsg2" CssClass="SmithRequiredText" />
        <%--<asp:CustomValidator ID="cvCheckboxList2" runat="server" Enabled="true" EnableClientScript="true" ClientValidationFunction="ValidateCheckBoxList" ErrorMessage="Checkbox Required" CssClass="SmithRequiredText"  />--%>
    </div>

    <%--Checkbox List 2 Other Textbox Option--%>
     <div class="SC-form-group" runat="server" id="trCBL2Textbox" visible="false">
        <asp:Label runat="server" ID="lblCBL2Textbox" CssClass="SC-Label-Col SC-control-label"/>
        <asp:TextBox ID="txtCBL2" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"/>
        <asp:Label runat="server" ID="lblCBL2TextboxMsg" CssClass="SmithRequiredText" />
        <%--<asp:RequiredFieldValidator ID="rfvCBL2Textbox" runat="server" Enabled="false" ControlToValidate="txtCBL2" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>--%>
    </div>

     <%--Radiobutton 1--%>
    <div class="SC-form-group" runat="server" id="trRBL1" visible="false">
        <asp:Label runat="server" ID="lblRBL1" CssClass="SC-Label-Col SC-control-label"/>
        <asp:RadioButtonList ID="rblValues1" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 2--%>
    <div class="SC-form-group" runat="server" id="trRBL2" visible="false">
        <asp:Label runat="server" ID="lblRBL2" CssClass="SC-Label-Col SC-control-label"/>
        <asp:RadioButtonList ID="rblValues2" runat="Server" CssClass="SC-Field-Col"/>
    </div>

     <%--Radiobutton 3--%>
    <div class="SC-form-group" runat="server" id="trRBL3" visible="false">
        <asp:Label runat="server" ID="lblRBL3" class="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues3" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 4--%>
    <div class="SC-form-group" runat="server" id="trRBL4" visible="false">
        <asp:Label runat="server" ID="lblRBL4" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues4" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 5--%>
    <div class="SC-form-group" runat="server" id="trRBL5" visible="false">
        <asp:Label runat="server" ID="lblRBL5" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues5" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 6--%>
    <div class="SC-form-group" runat="server" id="trRBL6" visible="false">
        <asp:Label runat="server" ID="lblRBL6" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues6" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 7--%>
    <div class="SC-form-group" runat="server" id="trRBL7" visible="false">
        <asp:Label runat="server" ID="lblRBL7" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues7" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 8--%>
    <div class="SC-form-group" runat="server" id="trRBL8" visible="false">
        <asp:Label runat="server" ID="lblRBL8" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues8" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 9--%>
    <div class="SC-form-group" runat="server" id="trRBL9" visible="false">
        <asp:Label runat="server" ID="lblRBL9" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues9" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 10--%>
    <div class="SC-form-group" runat="server" id="trRBL10" visible="false">
        <asp:Label runat="server" ID="lblRBL10" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues10" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 11--%>
    <div class="SC-form-group" runat="server" id="trRBL11" visible="false">
        <asp:Label runat="server" ID="lblRBL11" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues11" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Radiobutton 12--%>
    <div class="SC-form-group" runat="server" id="trRBL12" visible="false">
        <asp:Label runat="server" ID="lblRBL12" CssClass="SC-Label-Col SC-control-label" />
        <asp:RadioButtonList ID="rblValues12" runat="Server" CssClass="SC-Field-Col"/>
    </div>

    <%--Textbox 1--%>
    <div class="SC-form-group" runat="server" id="trPDTB" visible="false" >
        <asp:Label runat="server" ID="lblPDTBLabel" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB" runat="server" Enabled="false" ControlToValidate="txtPDTB" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Textbox 2--%>
    <div class="SC-form-group" runat="server" id="trPDTB2" visible="false" >
        <asp:Label runat="server" ID="lblPDTB2Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB2" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB2" runat="server" Enabled="false" ControlToValidate="txtPDTB2" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>
    
    <%--Textbox 3--%>
    <div class="SC-form-group" runat="server" id="trPDTB3" visible="false" >
        <asp:Label runat="server" ID="lblPDTB3Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB3" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB3" runat="server" Enabled="false" ControlToValidate="txtPDTB3" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Textbox 4--%>
    <div class="SC-form-group" runat="server" id="trPDTB4" visible="false" >
        <asp:Label runat="server" ID="lblPDTB4Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB4" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB4" runat="server" Enabled="false" ControlToValidate="txtPDTB4" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Textbox 5--%>
    <div class="SC-form-group" runat="server" id="trPDTB5" visible="false" >
        <asp:Label runat="server" ID="lblPDTB5Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB5" runat="server" MaxLength="50"  CssClass="SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB5" runat="server" Enabled="false" ControlToValidate="txtPDTB5" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Textbox 6--%>
    <div class="SC-form-group" runat="server" id="trPDTB6" visible="false" >
        <asp:Label runat="server" ID="lblPDTB6Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB6" runat="server" MaxLength="50"  CssClass="SC-form-control SC-Field-Col" />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB6" runat="server" Enabled="false" ControlToValidate="txtPDTB6" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Textbox 7--%>
    <div class="SC-form-group" runat="server" id="trPDTB7" visible="false" >
        <asp:Label runat="server" ID="lblPDTB7Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB7" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB7" runat="server" Enabled="false" ControlToValidate="txtPDTB7" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

 <%--Textbox 8--%>
    <div class="SC-form-group" runat="server" id="trPDTB8" visible="false" >
        <asp:Label runat="server" ID="lblPDTB8Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB8" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB8" runat="server" Enabled="false" ControlToValidate="txtPDTB8" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

 <%--Textbox 9--%>
    <div class="SC-form-group" runat="server" id="trPDTB9" visible="false" >
        <asp:Label runat="server" ID="lblPDTB9Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB9" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB9" runat="server" Enabled="false" ControlToValidate="txtPDTB9" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

 <%--Textbox 10--%>
    <div class="SC-form-group" runat="server" id="trPDTB10" visible="false" >
        <asp:Label runat="server" ID="lblPDTB10Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB10" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB10" runat="server" Enabled="false" ControlToValidate="txtPDTB10" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

 <%--Textbox 11--%>
    <div class="SC-form-group" runat="server" id="trPDTB11" visible="false" >
        <asp:Label runat="server" ID="lblPDTB11Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB11" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB11" runat="server" Enabled="false" ControlToValidate="txtPDTB11" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

 <%--Textbox 12--%>
    <div class="SC-form-group" runat="server" id="trPDTB12" visible="false" >
        <asp:Label runat="server" ID="lblPDTB12Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtPDTB12" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtPDTB12" runat="server" Enabled="false" ControlToValidate="txtPDTB12" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Textbox 13--%>
    <div class="SC-form-group" runat="server" id="trTB13" visible="false" >
        <asp:Label runat="server" ID="lblTB13Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtTB13" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtTB13" runat="server" Enabled="false" ControlToValidate="txtTB13" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Textbox 14--%>
    <div class="SC-form-group" runat="server" id="trTB14" visible="false" >
        <asp:Label runat="server" ID="lblTB14Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtTB14" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtTB14" runat="server" Enabled="false" ControlToValidate="txtTB14" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Textbox 15--%>
    <div class="SC-form-group" runat="server" id="trTB15" visible="false" >
        <asp:Label runat="server" ID="lblTB15Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtTB15" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtTB15" runat="server" Enabled="false" ControlToValidate="txtTB15" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Textbox 16--%>
    <div class="SC-form-group" runat="server" id="trTB16" visible="false" >
        <asp:Label runat="server" ID="lblTB16Label" class="SC-Label-Col SC-control-label" />
        <asp:TextBox ID="txtTB16" runat="server" MaxLength="50" CssClass="SC-form-control SC-Field-Col"  />
        <asp:RequiredFieldValidator ID="rfvtxtTB16" runat="server" Enabled="false" ControlToValidate="txtTB16" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <%--Multiline Textbox 1--%>
    <div class="SC-form-group" runat="server" id="trComments" visible="false">
        <asp:Label ID="lblCommentsLabel" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments" MaxLength="1000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments" runat="server" Enabled="false" ControlToValidate="txtComments" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Multiline Textbox 2--%>
    <div class="SC-form-group" runat="server" id="trComments2" visible="false">
        <asp:Label ID="lblCommentsLabel2" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments2" MaxLength="2000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments2" runat="server" Enabled="false" ControlToValidate="txtComments2" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Multiline Textbox 3--%>
    <div class="SC-form-group" runat="server" id="trComments3" visible="false">
        <asp:Label ID="lblCommentsLabel3" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments3" MaxLength="2000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments3" runat="server" Enabled="false" ControlToValidate="txtComments3" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Multiline Textbox 4--%>
    <div class="SC-form-group" runat="server" id="trComments4" visible="false">
        <asp:Label ID="lblCommentsLabel4" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments4" MaxLength="2000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments4" runat="server" Enabled="false" ControlToValidate="txtComments4" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Multiline Textbox 5--%>
    <div class="SC-form-group" runat="server" id="trComments5" visible="false">
        <asp:Label ID="lblCommentsLabel5" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments5" MaxLength="2000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments5" runat="server" Enabled="false" ControlToValidate="txtComments5" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

     <%--Multiline Textbox 6--%>
    <div class="SC-form-group" runat="server" id="trComments6" visible="false">
        <asp:Label ID="lblCommentsLabel6" runat="server" class="SC-Label-Col SC-control-label"/>
        <asp:TextBox  runat="server" ID="txtComments6" MaxLength="2000" Height="100px" TextMode="MultiLine" CssClass="SC-form-control SC-Field-Col"/>
        <asp:RequiredFieldValidator ID="rfvComments6" runat="server" Enabled="false" ControlToValidate="txtComments6" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>
    
    <%--File Upload--%>
    <div class="SC-form-group" runat="server" id="trFileUpload" visible="false" >
        <asp:Label runat="server" ID="lblFileUpload"  class="SC-Label-Col SC-control-label" />
        <asp:Label ID="Throbber" runat="server" Style="display: none"><img src="Images/indicator.gif" align="middle" alt="loading" /></asp:Label>
        <%--<asp:FileUpload ID="FileUpload1" runat="server" />
        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" Enabled="false" ControlToValidate="FileUpload1" Display="Dynamic" ErrorMessage="*Required"/>--%>
        <input type="file" id="FileUpload1" name="FileUpload1" class="multi SC-Field-Col" maxlength="10" multiple />
    </div>

    <%--Club--%>
    <asp:Panel ID="pnlClub" runat="server" visible="false">
        <label class="SC-Label-Col SC-control-label">Club Membership</label>
        <label class="SC-Label-Col SC-control-label"><%=Localization.GetString("lblClubCode.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtClubCode" runat="server" MaxLength="50" />
        <%--<asp:RequiredFieldValidator ID="rfvClubCode" runat="server" ControlToValidate="txtClubCode" Display="Dynamic" ErrorMessage="Club Code Required" CssClass="SmithRequiredText"/>--%>
    </asp:Panel>

     <%--Username and Password--%>
    <div runat="server" id="trPasswordHeader" class="SmithSectionTitle SC-form-group">
        <asp:Label class="SC-control-label" runat="server"  ID="lblPasswordTitle" Text="CREATE PASSWORD ( Email will be your UserName )" /><br />
    </div>

    <div class="SC-form-group" runat="server" id="trUserName" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("UserName.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtUserName" CssClass="SC-form-control SC-Field-Col SC-form-required"  runat="server" MaxLength="50"  />
        <asp:RequiredFieldValidator ID="rfvUserName" ControlToValidate="txtUserName" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>

    <div class="SC-form-group" runat="server" id="trPassword" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("Password.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtPassword" CssClass="SC-form-control SC-Field-Col SC-form-required"  runat="server" MaxLength="20"  TextMode="Password"/>
        <asp:RequiredFieldValidator ID="rfvtxtPassword" ControlToValidate="txtPassword" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <%--<asp:RegularExpressionValidator ID="revtxtPassword" runat="server" ControlToValidate="txtPassword" ErrorMessage="Password must be minimum of 7 characters" ValidationExpression=".{7}.*" Display="Dynamic" CssClass="SmithRequiredText" />--%>
        <asp:RegularExpressionValidator ID="revPassword" runat="server" ControlToValidate="txtPassword" resourcekey="InvalidPassword" ValidationExpression="(?!^[0-9]*$)(?!^[a-zA-Z]*$)^([a-zA-Z0-9]{8,10})$" Display="Dynamic" CssClass="SmithRequiredText" />
    </div>

    <div class="SC-form-group" runat="server" id="trPasswordConfirm" >
        <label class="SC-Label-Col SC-control-label"><%= Localization.GetString("ConfirmPassword.Text", LocalResourceFile)%></label>
        <asp:TextBox ID="txtConfirmPassword" CssClass="SC-form-control SC-Field-Col SC-form-required" runat="server"  MaxLength="20" TextMode="Password"/>
        <asp:RequiredFieldValidator ID="rfvtxtConfirmPassword" ControlToValidate="txtConfirmPassword" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
        <asp:CompareValidator ID="cvCompPassword" runat="server" ControlToCompare="txtPassword" ControlToValidate="txtConfirmPassword" resourcekey="PasswordNoMatch" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="RegForm"/>
    </div>
    
    <div runat="server" class="SC-form-group" id="trPDLBLabel" visible="false" >
      <asp:Label runat="server" ID="lblPDLBLabel" class="SC-Label-Col SC-control-label"/>
    </div>
    
    <div runat="server" class="SC-form-group" id="trPDLB" visible="false" >
        <div class="ListScroll SC-Field-Col"><asp:Label ID="txtPDLBText" runat="server"/></div>
    </div>
            
    <div runat="server" id="trCB" visible="false" class="SC-form-group">
        <asp:Label ID="lblCBLabel" runat="server" Text="I Agree to the Terms and Conditions:" class="SC-Label-Col SC-control-label"/>
        <asp:CheckBox ID="chkContact" runat="server" CssClass="SC-Field-Col" />
        <asp:Label ID="lblCheckboxMsg" runat="server" CssClass="SmithRedMsg" />
        <%--<asp:CustomValidator ID="valTandCs" ClientValidationFunction="ValidateTandCs" runat="server" ErrorMessage="Checkbox Required" Enabled="false"/>--%>
        <%--<asp:RequiredFieldValidator ID="rfvChkContact" runat="server" Enabled="false" ControlToValidate="chkContact" Display="Dynamic" ErrorMessage="*Required"/>--%>
    </div>


<div runat="server" id="dvCaptcha" style="clear:both;" visible="false">
    <recaptcha:RecaptchaControl ID="recaptcha" runat="server" theme="white" PublicKey="1234" PrivateKey="1234" />
</div>

<%--<div id="reCaptcha_widget" style="display:none;"></div>--%>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Next" resourcekey="btnNext" ValidationGroup="RegForm" /></li>
</ul>

<br />
<asp:Label ID="lblCaptchaMsg" runat="server"  CssClass="dnnFormMessage dnnFormWarning" Visible="false" Text="Incorrect Captcha. Please try again." />
<br />
<asp:Label ID="lblStatus" runat="server" CssClass="dnnFormMessage dnnFormValidationSummary" Visible="false" />
</form>
 

