﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CartItems.ascx.cs" Inherits="Smith.Modules.Common.CartItems" %>

<asp:GridView ID="gvCart" runat="server" CssClass="scux-grid"
  AutoGenerateColumns="False" DataKeyNames="ProductID" OnInit="gvCart_Init">

  <Columns>
    <asp:ImageField DataImageUrlField="ThumbUrl" ItemStyle-CssClass="scux-text-left" ControlStyle-CssClass="scuxThumb" />
    <asp:BoundField DataField="ProductName" DataFormatString="{0}" HeaderText="Product" ItemStyle-CssClass="scux-text-left" HeaderStyle-CssClass="scux-text-left" />
    <asp:BoundField DataField="UnitCost" DataFormatString="{0:c2}" HeaderText="Price" ItemStyle-CssClass="scux-text-right" HeaderStyle-CssClass="scux-text-right" />
    <asp:BoundField DataField="MemberPrice" DataFormatString="{0:c2}" HeaderText="MemberPrice" ItemStyle-CssClass="scux-text-right" HeaderStyle-CssClass="scux-text-right" />
    <asp:BoundField DataField="TaxRate" DataFormatString="{0:p}" HeaderText="TaxRate" ItemStyle-CssClass="scux-text-right" HeaderStyle-CssClass="scux-text-right" />
    <asp:BoundField DataField="Quantity" DataFormatString="{0:g3}" HeaderText="Quantity" ItemStyle-CssClass="scux-text-right" HeaderStyle-CssClass="scux-text-right" />
    <asp:BoundField DataField="Total" DataFormatString="{0:c2}" HeaderText="LineTotal" ItemStyle-CssClass="scux-text-right" HeaderStyle-CssClass="scux-text-right" />
  </Columns>
</asp:GridView>
