﻿//
// Smith Modal Dialog
// By Andrew Barton <andrew@smithcart.com>
// Copyright 2015 Smith Consulting
//

function scDialog(id, width, height, title) {

    // Properties
    this.id = id;

    // Methods
    this.open = function () {
        $(this.id).show();
        $(this.id).dialog('open');
        return false;
    };

    this.close = function () {
        $(this.id).dialog('close');
        return false;
    }

    // Constructor
    $(this.id).dialog({
        width: width,
        height: height,
        modal: true,
        autoOpen: false,
        position: 'center',
        title: title,
        dialogClass: 'dnnFormPopup',
        overlay: { opacity: 0.5, background: 'black' }
    });
}
