<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.Current" Codebehind="Current.ascx.cs" %>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDialog.js") %>'></script>

<script type="text/javascript">
    jQuery(function ($) {

        var _dontMakeDNNTabs = '<%= _dontMakeDNNTabs %>';

        if (_dontMakeDNNTabs === 'False') {
            $('#tabs-demo').dnnTabs();
        }
        else
        {
            $('#tabs-demo ul.dnnAdminTabNav').hide();
        }

        $('.sc-table-responsive').each(function (i, ele) {
            var tbl = $(this);
            if (tbl.find('.sc-empty-table').length === 0)
                tbl.cardtable();
        });
    });
</script>

<script type="text/javascript">
  //Called from btnChangeMembership in Change Membership Popup window
    function ChangeMembership() {
        //var newSubInfo = document.getElementById("<%= ddlProduct.ClientID %>").value + "~" + document.getElementById("<%= hdSubscriptionID.ClientID %>").value;
        var $ddlProduct = $('#<%= ddlProduct.ClientID %>');
        var autPayID = $('#<%= rblPayMethods.ClientID %>').find('input:checked').val();
        if (autPayID) {
            var $form = $ddlProduct.closest('body').find('form').eq(0);
            $('<input />').attr('type', 'hidden')
              .attr('name', "hdnAutPayID")
              .attr('value', autPayID)
              .appendTo($form);
        }
        __doPostBack('ChangeSubSubmit', $ddlProduct.val());
    }

    $(function () {
        $dlgChangeSubscription = new scDialog('#dlgChangeSubscription', 400, 290, 'Change Membership');
        $('.lbCancelSubscription').click(function () {
            return confirm('Are you sure you want to cancel your subscription?');
        });
    });
</script>

<script type="text/javascript">
    function showDialog(SubscriptionID, ProductID, PayType, ProductName) {
        //Set hidden field for old subscriptionID user is changing from
        $('#<%= hdSubscriptionID.ClientID %>').val(SubscriptionID);
        $('#<%= lblPopopTitleSubFrom.ClientID %>').text(ProductName);
        var $ddlProduct = $('#<%= ddlProduct.ClientID %>');
        $ddlProduct.val(ProductID);
        $('#<%= btnReloadPayMethods.ClientID %>').toggle(PayType !== 'PAYPALSTD');
        var $trAuthCIMPayMethod = $('#<%= trAuthCIMPayMethod.ClientID %>');
        if ($trAuthCIMPayMethod.length) {
            var $rblPayMethods = $('#<%= rblPayMethods.ClientID %>');
            $rblPayMethods.find('input').prop("checked", false);
            $trAuthCIMPayMethod.toggle(PayType !== 'PAYPALSTD');
        }
        $dlgChangeSubscription.open();
        return false;
    }
</script>

<%--*** Change Subscription Popup ***--%>
<div id="dlgChangeSubscription" style="display:none">
    <table cellpadding="2" cellspacing="2" class="SmithProdText" style="margin: 3ex 2ex;">
        <tr>
          <td class="SmithBold"><asp:Label ID="lblPopupTitle" runat="server" resourcekey="lblCurrentMembership" />:</td>
          <td><asp:Label ID="lblPopopTitleSubFrom" runat="server" /></td>
        </tr>
        <tr>
            <td class="SmithBold" style="padding-top: 5px;">
                <%= Localization.GetString("lblChangeSubTo.Text", LocalResourceFile) %>
                &nbsp;
            </td>
            <td style="padding-top: 5px;">
                <asp:DropDownList ID="ddlProduct" runat="server" AppendDataBoundItems="true">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td></td>
          <td>
              <asp:RequiredFieldValidator ID="rfvProduct" runat="server" ControlToValidate="ddlProduct" InitialValue="0" Display="Dynamic" ErrorMessage="Please Select Membership" ForeColor="Red" />
          </td>
        </tr>
        <tr runat="server" id="trAuthCIMPayMethod" visible="false">
            <td class="SmithBold" style="padding-top: 5px;">
                <%= Localization.GetString("lblPayMethod.Text", LocalResourceFile) %>
                &nbsp;
            </td>
            <td style="padding-top: 5px;">
                <asp:RadioButtonList ID="rblPayMethods" runat="server" CssClass="radio-spaced" />
                <asp:HiddenField runat="server" ID="hdnAuthPayMethod" />
            </td>
        </tr>
        <tr>
            <td colspan="2" style="padding-top: 5px;">
                <asp:Button ID="btnChangeMembership" runat="server" CssClass="dnnPrimaryAction" Text="Update"  OnClientClick="ChangeMembership()" CausesValidation="false" />
                <asp:LinkButton ID="btnReloadPayMethods" runat="server" CssClass="dnnSecondaryAction reload-pay-methods" Text="Reload Payment Methods" OnClick="btnReloadPayMethods_Click" CausesValidation="false" />
            </td>
        </tr>
    </table>
</div>

 <asp:LinkButton ID="lbSignIn" runat="server" resourcekey="SignInLink" onclick="lbSignIn_Click" CausesValidation="false" CssClass="SmithLargeLink" Visible="false" />

  <asp:Panel ID="pnlMainForm" runat="server">

  <div class="dnnForm" id="tabs-demo">
    <ul class="dnnAdminTabNav" style="height: auto;">
        <li ID="OrderTab" runat="server"><a href="#Order">My Payments</a></li>
        <li ID="SubscriptionsTab" runat="server"><a href="#Subscription">My Subscriptions</a></li>
        <li ID="AddressBookTab" runat="server" visible="false"><a href="#AddressBook">My Address Book</a></li>
        <li ID="WalletTab" runat="server" visible="false"><a href="#Wallet">My Wallet</a></li>
        <li ID="AuthCIMTab" runat="server" visible="false"><a href="#AuthCIM">My Payment Methods</a></li>
        <li ID="InvoiceTab" runat="server" visible="false"><a href="#Invoice">My Invoices</a></li>
        <li ID="DepositTab" runat="server" visible="false"><a href="#Deposit">My Deposits</a></li>
        <li ID="InventoryTab" runat="server" visible="false"><a href="#Inventory">My Inventory</a></li>
        <li ID="TransactionTab" runat="server" visible="false"><a href="#Transaction">My Transactions</a></li>
    </ul>

<%-- My Orders/Payments --%>
<div id="Order" class="dnnClear" runat="server" ClientIDMode="Static">
    <div class="dnnLeft" style="width:100%;">

     <h2><asp:Label ID="lblPaySectionTitle" runat="server" Text="My Payments" /></h2>

    <div class="center">
        <asp:Label ID="lblMessagePayGrd" runat="server" CssClass="dnnFormMessage dnnFormWarning" Visible="false" />
    </div>
    <div class="table-responsive">
        <asp:GridView ID="grdPayments" DataKeyNames="PayHistID" AllowSorting="false" runat="server" AutoGenerateColumns="false" Width="100%" AllowPaging="true" PageSize="10" gridlines="None"
                OnRowDataBound="grdPayments_RowDataBound"
                OnPageIndexChanging="grdPayments_PageIndexChanging"
                OnPreRender="grd_PreRender"
                CssClass="scAdminGrid2 sc-table-responsive"
                AlternatingRowStyle-CssClass="alt">
             <EmptyDataRowStyle CssClass="sc-empty-table" />
            <Columns>
               <%-- <asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:LinkButton ID="lkViewInvoice" runat="server" Text="View Invoice" OnClick="lkViewInvoice_Click" CausesValidation="false" />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField ItemStyle-CssClass="GridCells" >
                    <ItemTemplate>
                        <asp:LinkButton ID="lkViewSub" runat="server" Text="Select" OnClick="lkViewSub_Click" CausesValidation="false" CssClass="scMyAcctBtn" />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="CustomerID" Visible="false">
                    <ItemTemplate>
                        <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="PayHistID" Visible="false">
                    <ItemTemplate>
                        <asp:Label ID="lblPayHistID" runat="server" Text='<%#Eval("PayHistID") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="Pay Date" SortExpression="PayDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblPayDate" runat="server" Text='<%# loadDate(Eval("PayDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="Product Name" SortExpression="ProductName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="Amount" SortExpression="GrandTotal" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Right">
                    <ItemTemplate>
                        <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Pay Type" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblPayType" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"PayType") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Status" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblStatus" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Status") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                        <asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCompanyName" runat="server" Text='<%#Eval("CompanyName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <%--<asp:TemplateField HeaderText="Address" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblAddress1" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Address1") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="City" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCity" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"City") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="State" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblState" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"State") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblZip" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Zip") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCountry" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Country") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>--%>

                 <asp:TemplateField HeaderText="Invoice No." SortExpression="InvoiceNo" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblInvoiceNo" runat="server" Text='<%#Eval("InvoiceNo") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

            </Columns>
            <EmptyDataTemplate>
                <%= Localization.GetString("lblNoRecords.Text", LocalResourceFile)%>
            </EmptyDataTemplate>
        </asp:GridView>
    </div>
    <br />

    <asp:Panel ID="pnlSubDetail" runat="server" Visible="false">

<table style="width: 100%;">
    <tr>
        <td>
            <h2><asp:Label ID="lblSubscriptionDetail" runat="server" Text="Subscription Detail" /></h2>
        </td>
    </tr>
    <tr>
        <td>
            <div class="table-responsive">
        <asp:GridView ID="grdSubDetail" runat="server" AutoGenerateColumns="False"
            CssClass="scAdminGrid2 sc-table-responsive" AlternatingRowStyle-CssClass="alt" OnPreRender="grd_PreRender">
        <EmptyDataRowStyle CssClass="sc-empty-table" />
        <Columns>

             <%--<asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:LinkButton ID="lkCancelSubscription" runat="server" Text="Cancel" OnClick="lkCancelSubscription_Click" CausesValidation="false" CssClass="scMyAcctBtn" />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="SubscriptionID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblSubscriptionID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SubscriptionID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Product Name" SortExpression="ProductName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Create Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCreatedDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CreateDate")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Transaction ID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblTransID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TransID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Start Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblStartDate" runat="server" Text='<%#loadDate(DataBinder.Eval(Container.DataItem,"SubStartDate")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="End Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblEndDate" runat="server" Text='<%#CheckEndDate(DataBinder.Eval(Container.DataItem,"SubEndDate")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Cancel Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCancelDate" runat="server" Text='<%#CheckCancelDate(DataBinder.Eval(Container.DataItem,"CancelDate")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

        </Columns>
        <EmptyDataTemplate>You currently have no subscriptions.</EmptyDataTemplate>
    </asp:GridView>
    </div>
        </td>
    </tr>
</table>
</asp:Panel>

  </div>
</div>

<%-- My Subscriptions --%>
<div id="Subscription" class="dnnClear" runat="server" ClientIDMode="Static">
    <div class="dnnLeft" style="width:100%;">

<div class="left"><h2><asp:Label ID="lblSubscriptionTitle" runat="server" Text="My Subscriptions" resourcekey="SubscriptionTitle" /></h2></div>

<table width="100%" cellpadding="5">
    <%--<tr height="35px"><td colspan="2"><span class="Smith18Bold">Search Subscriptions</span></td></tr>--%>
    <tr align="left">
        <td class="SmithProdText">
            <asp:TextBox ID="txtSearch" runat="server" Width="250px" />
            <asp:LinkButton ID="btnSearch" runat="server" Text="Search" OnClick="btnSearch_Click" CssClass="dnnPrimaryAction" />
             <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnPrimaryAction" />
        </td>
    </tr>
</table>
<div class="center"><asp:Label ID="lblStatus" runat="server" Visible="false" /></div>
<div class="table-responsive">
    <asp:GridView ID="grdSubscriptions" runat="server" AutoGenerateColumns="false" Width="100%" AllowSorting="true"  GridLines="None"
        OnRowDataBound="grdSubscriptions_RowDataBound" OnRowCreated="grdSubscriptions_RowCreated" OnSorting="grdSubscriptions_Sorting" OnPreRender="grd_PreRender"
        CssClass="scAdminGrid2 sc-table-responsive"
        AlternatingRowStyle-CssClass="alt">
    <EmptyDataRowStyle CssClass="sc-empty-table" />
    <Columns>
         <asp:TemplateField ShowHeader="False">
            <ItemTemplate>
                <asp:LinkButton ID="lkChangeSubscription1" runat="server" CausesValidation="false">
                    <img style="max-width: none;" src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' />
                </asp:LinkButton>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:LinkButton ID="UpdateButton" runat="server" CommandName="Update"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/save.gif") %>' /></asp:LinkButton>&nbsp;&nbsp;
                <asp:LinkButton ID="Cancel" runat="server" CommandName="Cancel"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' /></asp:LinkButton>
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="SubscriptionID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblSubscriptionID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SubscriptionID") %>' />
                <asp:Label ID="lblProductID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductID") %>' />
                <asp:Label ID="lblPayType" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PayType") %>' />
            </ItemTemplate>
        </asp:TemplateField>

         <%--<asp:TemplateField HeaderText="TransactionID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTransID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TransID") %>' />
            </ItemTemplate>
        </asp:TemplateField>--%>

         <asp:TemplateField HeaderText="ID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" >
            <ItemTemplate>
                <asp:LinkButton ID="btnViewPayments" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "TransID") %>' OnClick="btnViewPayments_Click" ForeColor="Blue" Font-Underline="true" CausesValidation="false" CssClass="scNoWrap" />
            </ItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Date Created" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCreatedDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CreateDate")) %>' />
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Product" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblProduct" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductName") %>' />
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="First Name" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblFirstName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"FirstName") %>' />
            </ItemTemplate>
        </asp:TemplateField>
            <asp:TemplateField HeaderText="Last Name" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblLastName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"LastName") %>' />
            </ItemTemplate>
        </asp:TemplateField>

       <%-- <asp:TemplateField HeaderText="Address" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblAddress1" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Address1") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="City" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCity" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"City") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="State" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblState" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"State") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblZip" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Zip") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
            <asp:TemplateField HeaderText="Country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCountry" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Country") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>--%>

        <asp:TemplateField HeaderText="Start Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblStartDate" runat="server" Text='<%#loadDate(DataBinder.Eval(Container.DataItem,"SubStartDate")) %>' />
            </ItemTemplate>
        </asp:TemplateField>

         <asp:TemplateField HeaderText="End Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" >
            <ItemTemplate>
                <asp:Label ID="lblEndDate" runat="server" Text='<%#CheckEndDate(DataBinder.Eval(Container.DataItem,"SubEndDate")) %>' />
            </ItemTemplate>
        </asp:TemplateField>

       <asp:TemplateField HeaderText="Cancel Date" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCancelDate" runat="server" Text='<%#CheckCancelDate(DataBinder.Eval(Container.DataItem,"CancelDate")) %>' />
            </ItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="lkCancelSubscription1" runat="server" Text="Cancel" OnClick="lkCancelSubscription_Click" CausesValidation="false" CssClass="scMyAcctBtn lbCancelSubscription" />
            </ItemTemplate>
        </asp:TemplateField>

    </Columns>
    <EmptyDataTemplate>
        You currently have no subscriptions.
    </EmptyDataTemplate>
</asp:GridView>
</div>
<table align="center">
    <tr>
        <td align="center">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
            <asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
             Records:&nbsp;
             <asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
</table>

 <%--Payment History Section --%>
    <br />
    <asp:Label ID="lblPaymentHistory" runat="server" Text="Payment History" resourcekey="PaymentHistory" CssClass="Smith18Bold" Visible="false" />
    <br />
    <div class="table-responsive">
        <asp:GridView ID="grdPayHist" runat="server" AutoGenerateColumns="false" Width="100%" GridLines="None" CssClass="scAdminGrid2 sc-table-responsive"
        OnPreRender="grd_PreRender" AlternatingRowStyle-CssClass="alt">
        <EmptyDataRowStyle CssClass="sc-empty-table" />
        <Columns>
            <%--<asp:TemplateField HeaderText="Billing Name" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"BillingName") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>
            <asp:TemplateField HeaderText="Pay Method" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PayType") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Date" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="Label2" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"PayDate")) %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Amount" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <%--<asp:Label ID="lblAmount" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Amount","{0:c}") %>' Width="75px" />--%>
                    <asp:Label ID="Label3" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Status" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="Label4" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Status") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Auth Code" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAuthCode" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"AuthCode") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Notes" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
         <EmptyDataTemplate>
            No Payments Found.
        </EmptyDataTemplate>
    </asp:GridView>
    </div>
 </div></div>


<%-- My Invoices --%>
<div id="Invoice" class="dnnClear" runat="server" ClientIDMode="Static">
    <div class="dnnLeft" style="width:100%;">

        <%--<div class="left"><h2><asp:Label ID="Label1" runat="server" Text="My Invoice" /></h2></div> --%>
        <asp:PlaceHolder ID="phInvoice" runat="server" />

 </div></div>


 <%--*** My Deposits ***--%>
<div id="Deposit" class="dnnClear" runat="server" ClientIDMode="Static">
    <div class="dnnLeft" style="width:100%;">

        <asp:PlaceHolder ID="phDeposit" runat="server" />

</div></div>

 <%--*** My Inventory ***--%>

  <div id="Inventory" class="dnnClear" runat="server" ClientIDMode="Static">
        <div class="dnnLeft" style="width:100%;">
    <asp:PlaceHolder ID="phInventory" runat="server" />
</div></div>

 <%--*** My Transactions ***--%>

  <div id="Transaction" class="dnnClear" runat="server" ClientIDMode="Static">
        <div class="dnnLeft" style="width:100%;">
    <asp:PlaceHolder ID="phTrans" runat="server" />
</div></div>

<%--*** Address Book ***--%>
  <div id="AddressBook" class="dnnClear" runat="server" ClientIDMode="Static">
        <div class="dnnLeft" style="width:100%;">
    <asp:PlaceHolder ID="phAddressBook" runat="server" />
</div></div>

 <%--*** Wallet ***--%>
<div id="Wallet" class="dnnClear" runat="server" ClientIDMode="Static">
        <div class="dnnLeft" style="width:100%;">
    <asp:PlaceHolder ID="phWallet" runat="server" />
</div></div>

<%--*** Auth CIM ***--%>
<div id="AuthCIM" class="dnnClear" runat="server" ClientIDMode="Static">
        <div class="dnnLeft" style="width:100%;">
    <asp:PlaceHolder ID="phAuthCIM" runat="server" />
</div></div>

 </div>


 </asp:Panel>


<asp:HiddenField ID="hdRegTabID" runat="server" />
<asp:HiddenField ID="hdSubscriptionID" runat="server" />
<asp:HiddenField ID="hdCustomerID" runat="server" Visible="false" />
<asp:HiddenField ID="hdAuthCustomerID" runat="server" Visible="false" />