﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageSubscription1" Codebehind="ManageSubscription1.ascx.cs" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<table cellpadding="5">
    <tr height="35px"><td colspan="2"><span class="SmithText16">Search Payments</span></td></tr>
    <tr align="left">
        <td colspan="2">
            <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td colspan="2">
                Pay Status:&nbsp;&nbsp;
                <asp:DropDownList ID="ddlPayStatus" runat="server">
                    <asp:ListItem Text="All" Value="-1" ></asp:ListItem>
                    <asp:ListItem Text="Paid" Value="1" ></asp:ListItem>
                    <asp:ListItem Text="Unpaid" Value="0" ></asp:ListItem>
                </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:TextBox ID="txtSearch" runat="server" Width="250px" />&nbsp;&nbsp
            <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
            <asp:LinkButton ID="btnClearFilters" runat="server" OnClick="btnClearFilters_Click" Text="Clear" CssClass="dnnSecondaryAction" />
        </td>
    </tr>
</table>

<asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />


<table width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            <asp:LinkButton ID="btnExport" runat="server" CausesValidation="false" OnClick="btnExport_Click" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/export.png") %>' />&nbsp;<%= Localization.GetString("btnExport.Text", LocalResourceFile)%></asp:LinkButton>
            <div style="float:right"><asp:LinkButton ID="btnDeleteSelected" runat="server" CausesValidation="false" OnClick="btnDeleteSelected_Click" OnClientClick="if (!confirm('Are you sure you want delete?')) return false;" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' />&nbsp;<%= Localization.GetString("btnDelete.Text", LocalResourceFile)%></asp:LinkButton></div>
        </td>
    </tr>
    <tr><td>

    <asp:GridView ID="grdPayment" runat="server" DataKeyNames="PayHistID" AutoGenerateColumns="false" AllowSorting="true" Width="100%" GridLines="Horizontal"
        CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt"
        OnSorting="grdPayment_Sorting" 
         OnRowDataBound="grdPayment_RowDataBound"
        OnRowCreated="grdPayment_RowCreated" >  
           
        <Columns>
            <%--<asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
                <ItemTemplate>
                    <asp:LinkButton CausesValidation="false" ID="lnkEditOrder" runat="server" OnClick="lnkEditOrder_Click"><img src='<%= ResolveUrl("~/DesktopModules/SmithBillingManager/Images/edit.png") %>' /></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Pay ID" SortExpression="PayHistID" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" HeaderStyle-Height="17px" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="true">
                <ItemTemplate>
                    <asp:LinkButton ID="btnEditOrder" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "PayHistID") %>' OnClick="btnEditOrder_Click" ForeColor="Blue" Font-Underline="true" CausesValidation="false" ></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="CustID" Visible="false">
                <ItemTemplate >
                    <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Pay Date" SortExpression="PayDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblPayDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"PayDate")) %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <%--<asp:TemplateField HeaderText="Billing Name" SortExpression="BillingName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblBillingName" runat="server" Text='<%#Eval("BillingName") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Product Name" SortExpression="ProductName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%#Eval("CompanyName") %>' />
                    <%--<asp:HyperLink ID="lnkCompany" runat="server" NavigateUrl='<%# "~/Store/VendorID/" + Eval("dnnlogin") %>'><%#Eval("dnnlogin") %><asp:Label ID="lblCompanyName" runat="server" Text='<%#Eval("CompanyName") %>' /></asp:HyperLink>--%>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Pay Method" SortExpression="PayType" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblPayType" runat="server" Text='<%#Eval("PayType") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <%--<asp:TemplateField HeaderText="Trans Type" SortExpression="TransType" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblTransType" runat="server" Text='<%#Eval("TransType") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Amount" SortExpression="Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' /> 
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Status" SortExpression="Success" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <%--<asp:Label ID="Label1" runat="server" Text='<%# Convert.ToBoolean(Eval("Success")) == true ? "Yes" : "No" %>' />--%>
                    <asp:Label ID="lblSuccess" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Message" SortExpression="Status" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblStatus" runat="server" Text='<%#Eval("Status") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Auth Code" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAuthCode" runat="server" Text='<%#Eval("AuthCode") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="DNN Login" SortExpression="dnnlogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblDNNLogin" runat="server" Text='<%#Eval("dnnlogin") %>' />
                    <%--<asp:HyperLink runat="server" NavigateUrl='<%# DotNetNuke.Common.Globals.NavigateURL(BuyNowTabID, "", "VendorID=" + Eval("dnnlogin")) %>'><%#Eval("dnnlogin") %></asp:HyperLink>--%>
                    <%--<asp:HyperLink ID="lnkDNNLogin" runat="server" NavigateUrl='<%# "~/client_record/DNNLogin/" + Eval("dnnLogin") %>'><%#Eval("dnnlogin") %></asp:HyperLink>--%>
                </ItemTemplate>
            </asp:TemplateField>
           
            <%--<asp:TemplateField HeaderText="Address" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAddress" runat="server" Text='<%#Eval("BillingAddress") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>
                    
           <%-- <asp:TemplateField HeaderText="City" SortExpression="ShipCity" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%#Eval("ShipCity") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>
                    
            <%--<asp:TemplateField HeaderText="State" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%#Eval("State") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Country" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%#Eval("Country") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Postal Code"  HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%#Eval("BillingZip") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Invoice No." SortExpression="InvoiceNo" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="true">
                <ItemTemplate>
                    <asp:Label ID="lblInvoiceNo" runat="server" Text='<%#Eval("InvoiceNo") %>' />
                    <%--<asp:LinkButton ID="btnEditInvoice" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "InvoiceNo") %>' OnClick="btnEditInvoice_Click" ForeColor="Blue" Font-Underline="true" CausesValidation="false"></asp:LinkButton>--%>
                     <%--<asp:HyperLink ID="lnkInvoiceNo" runat="server" NavigateUrl='<%# "~/My-Account/View/Statments/InvoiceID/" + Eval("InvoiceNo") %>'><%#Eval("InvoiceNo") %></asp:HyperLink>--%>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField>
                <HeaderTemplate>
                    <asp:CheckBox ID="chkSelectAllPayment" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAllPayment_CheckedChanged"/>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:CheckBox ID="chkSelectPayment" runat="server"/>
                </ItemTemplate>
            </asp:TemplateField>
                  
        </Columns>
        <EmptyDataTemplate>
            <asp:Label ID="lblNoRecordsMsg" runat="server" Text="No Records found." CssClass="SmithProdText" />
        </EmptyDataTemplate>
    </asp:GridView>

  </td></tr>

     <tr>
        <td align="center">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
            <asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
             Records:&nbsp;
            <asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>  

</table>

