﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManageTransactions.ascx.cs" Inherits="Smith.DNN.Modules.Registration.ManageTransactions" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />


<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditCustomer" runat="Server">

<table cellpadding="5">
    <tr height="35px"><td colspan="2"><span class="SmithText16">Search Transactions</span></td></tr>
    
    <tr align="left">
        <td colspan="2">
            <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
        </td>
        <td><br />
             <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
            <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnSecondaryAction" />
        </td>
    </tr>
    <tr><td></td></tr>

</table>

<asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />

  <table width="100%" >     
        <tr><td align="left">
            <asp:LinkButton ID="btnShowAddScreen" runat="server" OnClick="btnShowAddScreen_Click" Text="Add Transaction" CssClass="dnnPrimaryAction" />
        </td></tr>
       
        <tr><td>

    <asp:DataGrid class="SCborder" ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" PageSize="50" CellPadding="5" CssClass="GridCells"
        OnItemCommand="DataGrid1_ItemCommand" OnItemDataBound="DataGrid1_ItemDataBound" OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" GridLines="None" >
        <HeaderStyle CssClass="GridHeader" /> 
        <%--<headerstyle cssclass="dnnGridHeader" verticalalign="Top"/>--%>
      <%--  <itemstyle cssclass="dnnGridItem" horizontalalign="Left" />
        <alternatingitemstyle cssclass="dnnGridAltItem" />
        <edititemstyle cssclass="dnnFormInput" />
        <selecteditemstyle cssclass="dnnFormError" />
        <footerstyle cssclass="dnnGridFooter" />--%>
        <%--<pagerstyle cssclass="dnnGridPager" />--%>
        <PagerStyle Position="Bottom" Mode="NumericPages"  cssclass="dnnGridPager" />
       
    <Columns>
        <asp:TemplateColumn HeaderStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <asp:LinkButton ID="btnFilterCustomers" runat="server" CausesValidation="false" CommandName="filterCustomers" Text="Filter" CssClass="scMyAcctBtn" />
            </HeaderTemplate>
             <ItemTemplate>
                <asp:LinkButton ID="btnAddTrans" runat="server" CausesValidation="false" CommandName="addTrans" Text="Add" CssClass="scMyAcctBtn" />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderStyle-HorizontalAlign="Center">
           <ItemTemplate>
                <asp:LinkButton ID="btnEditCustomer" runat="server" CausesValidation="false" CommandName="editCustomer" Text="Edit" CssClass="dnnSecondaryAction" />
            </ItemTemplate>
        </asp:TemplateColumn>
           
         <asp:TemplateColumn HeaderText="THID" Visible="false" >
            <ItemTemplate>
                <asp:Label ID="lblTHID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.tranheaderid")) %>' Width="35px" />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="ID" SortExpression="trandetailid">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortTransID" runat="server" CommandArgument="transid" CommandName="Sort" Text="ID" /><br />
                <asp:TextBox ID="TextBoxSearchTransID" runat="server" Width="35px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblTID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.trandetailid")) %>' Width="35px" />
            </ItemTemplate>
        </asp:TemplateColumn>

         <asp:TemplateColumn HeaderText="ID" Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblCID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.customerid")) %>' Width="35px" />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortFirstName" runat="server" CommandArgument="firstname" CommandName="Sort" Text="First Name" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchFirstName" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>' />
            </ItemTemplate>  
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortLastName" runat="server" CommandArgument="lastname" CommandName="Sort" Text="Last Name" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchLastName" runat="server" Width="100px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>

          <asp:TemplateColumn HeaderText="Company Name" SortExpression="companyname" ItemStyle-CssClass="GridCells" >
                <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortCompanyName" runat="server" CommandArgument="CompanyName" CommandName="Sort" Text="CompanyName"/><br />
                <asp:TextBox ID="TextBoxSearchCompanyName" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCompanyName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.companyname")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Tran Type" SortExpression="trantype" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortTranType" runat="server" CommandArgument="TranType" CommandName="Sort" Text="Tran Type" CSSClass="linkButton" /><br />
                 <asp:DropDownList ID="ddlGridTranType" runat="server" DataSource="<%#GetTranType()%>" DataTextField="TranType" DataValueField="TranTypeID">
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblTranType" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.TranType")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Trans Date" SortExpression="transdate" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTransDate" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.transdate")) %>'  />
            </ItemTemplate>
        </asp:TemplateColumn>

         <asp:TemplateColumn HeaderText="Category" SortExpression="CategoryName" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortCategoryName" runat="server" CommandArgument="CategoryName" CommandName="Sort" Text="Category"></asp:LinkButton><br />
                <asp:DropDownList ID="ddlGridCategoryName" runat="server" DataSource="<%#GetCategories()%>" DataTextField="CategoryName" DataValueField="Categoryid" CssClass="textboxstyle" >
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCategoryName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.CategoryName")) %>'  />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Product Name" SortExpression="ProductName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortProductName" runat="server" CommandArgument="ProductName" CommandName="Sort" Text="Product Name"></asp:LinkButton><br />
                <asp:DropDownList ID="ddlGridProductName" runat="server" DataSource="<%#GetProducts()%>" DataTextField="productname" DataValueField="productid" CssClass="textboxstyle" >
                </asp:DropDownList>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblProductName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductName") %>' Width="100px"></asp:Label>
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="Quantity" SortExpression="Quantity" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortQuantity" runat="server" CommandArgument="Quantity" CommandName="Sort" Text="Quantity" Width="70px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchQuantity" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblQuantity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.Quantity")) %>' />
            </ItemTemplate>  
        </asp:TemplateColumn>
           
        <asp:TemplateColumn HeaderText="Amount" SortExpression="state"  ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortAmount" runat="server" CommandArgument="Amount" CommandName="Sort" Text="Amount" Width="70px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchAmount" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="DNN Login" SortExpression="dnnlogin" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortDNNLogin" runat="server" CommandArgument="DNNLogin" CommandName="Sort" Text="DNNLogin" Width="70px" CSSClass="linkButton" /><br />
                <asp:TextBox ID="TextBoxSearchDNNLogin" runat="server" Width="75px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblDNNLogin" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.dnnlogin")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
            
        <asp:TemplateColumn HeaderText="IP Address" SortExpression="ipaddress" ItemStyle-CssClass="GridCells" Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblIPAddress" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.ipaddress")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
      
        <asp:TemplateColumn ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="btnDelete" runat="server" CausesValidation="false" CommandName="deleteCustomer" Text="Delete" CssClass="dnnSecondaryAction" />
            </ItemTemplate>
        </asp:TemplateColumn>
                
    </Columns>
</asp:DataGrid>

        </td></tr>
        <tr style="height:20"><td>&nbsp;</td></tr>
    </table>
    
</asp:View>

  <asp:View ID="viewAddCustomer" runat="server">
<h2><asp:Label ID="lblEditorTitle" runat="server" Text="Add Transaction" /></h2>

<%--Customer Info--%>

<table id="tblCustomerInfo" runat="server" class="tblCustomerInfo" >
    <tr><td class="SmithBold" colspan="3">Customer Info:</td></tr>
    <tr><td></td></tr>
    <tr>
        <td width="20px">&nbsp;</td>
        <td>
            <asp:Label ID="lblCustomerID" runat="server" Visible="false" />
            <asp:Label ID="lblFirstName" runat="server" CssClass="SmithProdText"/>&nbsp;<asp:Label ID="lblLastName" runat="server" CssClass="SmithProdText"/> <br />
            <asp:Label ID="lblAddress" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCity" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblState" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblZip" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCountry" runat="server" CssClass="SmithProdText"/>
        </td>

        <td width="60px">&nbsp;</td>

        <td>
            <asp:Label ID="lblWorkPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCellPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblEmail" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblDNNLogin" runat="server" CssClass="SmithProdText"/>
       </td>

        <td width="60px">&nbsp;</td>

         <td>
             <asp:Label ID="lblCompanyName" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblOwnerType" runat="server" CssClass="SmithProdText"/>
       </td>
     </tr>
</table>


<%--Transaction Info--%>
     
<table>
    <tr ID="trCustSpacer" runat="server" style="height:20"><td>&nbsp;</td></tr>
    <tr ID="trTransID" runat="server" style="height:35px" >
        <td><asp:Label ID="Label6" runat="server" Text="Transaction ID:" CssClass="SmithProdText"/></td>
        <td><asp:Label ID="lblTransID" runat="server" CssClass="SmithProdText"/></td>
    </tr>

     <tr ID="trCustomer" runat="server">
        <td><asp:Label ID="Label5" runat="server" Text="Customer:" CssClass="NormalText"/></td>
        <td>
            <asp:DropDownList ID="ddlCustomer" runat="server"  OnSelectedIndexChanged="ddlCustomer_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="True">
                <asp:ListItem Text="-Select-" Value="0" />                
            </asp:DropDownList>
            <asp:Label ID="lblAddCustomerMsg" runat="server" Text="Please select a customer" CssClass="SmithRequiredText" Visible="false"/>
            <%--<asp:RequiredFieldValidator ID="rfvCustomer" runat="server" ControlToValidate="ddlCustomer" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>--%>
        </td>
    </tr>

     <tr style="height:35px" >
        <td><asp:Label ID="Label3" runat="server" Text="Transaction Type:" CssClass="SmithProdText"/></td>
        <td>
            <asp:DropDownList ID="ddlTranType" runat="server" AppendDataBoundItems="True"> 
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvTranType" runat="server" ControlToValidate="ddlTranType" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    <tr style="height:35px" >
        <td><asp:Label ID="Label4" runat="server" Text="Transaction Date:" CssClass="SmithProdText"/>&nbsp;&nbsp;</td>
        <td>
            <input ID="txtTransDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtTransDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
            <asp:RequiredFieldValidator ID="rfvTransDate" runat="server"  ControlToValidate="txtTransDate" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" />
        </td>
    </tr>
     <tr style="height:35px" >
        <td><asp:Label ID="lblCategory" runat="server" Text="Category Name:" CssClass="SmithProdText"/></td>
        <td>
            <asp:DropDownList ID="ddlCategory" runat="server" OnSelectedIndexChanged="ddlCategory_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="True">
           <%--     <asp:ListItem Text="-Select-" Value="0" /> --%>               
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvCategory" runat="server" ControlToValidate="ddlCategory" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>
        </td>
        
    </tr>
    <tr style="height:35px">
        <td><asp:Label ID="lblItemLabel" runat="server" Text="Product Name:" CssClass="SmithProdText"/></td>
        <td>
            <asp:DropDownList ID="ddlProducts" runat="server" AppendDataBoundItems="True">
               <%-- <asp:ListItem Text="-Select-" Value="0" /> --%>               
            </asp:DropDownList>
             <asp:RequiredFieldValidator ID="rfvProducts" runat="server" ControlToValidate="ddlProducts" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>

    <tr style="height:35px">
        <td><asp:Label ID="lblQuantity" runat="server" Text="Quantity:" CssClass="SmithProdText"/></td>
        <td>
            <asp:TextBox ID="txtQuantity" runat="server" MaxLength="12" />&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtQuantity" runat="server"  ControlToValidate="txtQuantity" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" />
            <asp:CompareValidator ID="CVtxtQuantity" runat="server" ControlToValidate="txtQuantity" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr style="height:35px">
        <td><asp:Label ID="lblAmount" runat="server" Text="Amount:" CssClass="SmithProdText"/></td>
        <td>
            <asp:TextBox ID="txtAmount" runat="server" MaxLength="12" />&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtAmount" runat="server"  ControlToValidate="txtAmount" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" />
            <asp:CompareValidator ID="CVtxtAmount" runat="server" ControlToValidate="txtAmount" ErrorMessage="Please Enter Valid Amount" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr style="height:35px">
        <td><asp:Label ID="Label7" runat="server" Text="Notes" CssClass="SmithProdText"/></td>
        <td><asp:TextBox ID="txtNotes" runat="server" TextMode="MultiLine" Height="100px" Width="300px" /></td>
    </tr>
     
</table>


<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnAddTransaction" runat="server" OnClick="btnAddTransaction_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
    <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
</ul>

</asp:View>

</asp:MultiView>

<%--<asp:HiddenField ID="hdCustomerID" runat="server" />--%>

