<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ExpressRegistration" Codebehind="ExpressRegistration.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<asp:PlaceHolder ID="PlaceHolder1" runat="server">

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDialog.js") %>'></script>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/js/jQuery.MultiFile.min.js") %>'></script>

<!-- Coupon dialog -->
<script type="text/javascript">
  $(function () {
    $('#<%= lnkLoadCouponPopup.ClientID %>').click(function () {
          return (new scDialog('#<%= dlgCoupon.ClientID %>', 300, 175, 'Promotion Code')).open();
      });
  });

  $(function () {
    $('#<%= lnkCVVHelpPopup.ClientID %>').click(function () {
          return (new scDialog('#<%= securityCodeWindow.ClientID %>', 300, 250, 'Credit Card Security Code')).open();
      });
  });
    $(document).ready(function () {
        $.fn.dnnFileInput = function () { };
    });
</script>

<div id="dlgCoupon" runat="server" style="display:none; text-align: center;">
    <table class="scLeftMargin20" >
        <tr><td>&nbsp;</td></tr>
         <tr id="tr1" runat="server">
            <td  nowrap="nowrap"><%= Localization.GetString("PromoCode.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
            <td><asp:TextBox ID="txtCouponCode2" runat="server" MaxLength="10" Width="100" /></td>
        </tr>
        <tr><td></td></tr>
        <tr>
            <td>&nbsp;</td>
            <td><asp:Button ID="btnApplyPromo" runat="server" resourcekey="btnApplyCode"  OnClick="btnApplyPromo_Click" CausesValidation="false" /></td>
        </tr>
    </table>
</div>

<div id="securityCodeWindow" runat="server" style="display: none;">
  <asp:Image ID="Image1" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/cvv-image.gif" />
</div>


 <div id="dvSignIn" runat="server" class="SigninPrompt">
    <asp:Label ID="lblHaveAccount" runat="server"  CssClass="SmithLargeText"/><br /><br />
    <asp:LinkButton ID="lbSignIn" runat="server" resourcekey="SignInLink" onclick="lbSignIn_Click" CausesValidation="false" CssClass="SmithLargeLink" Visible="false"/>&nbsp;
    <asp:Label ID="lblAccountLoginTextTop" runat="server"  CssClass="SmithLargeText"/>
</div>
<br /><br />

<div>
    <img runat="server" id="topImage" style="vertical-align:middle" src="images/numberone.png" alt=""/>
    <span style="vertical-align:middle; line-height:40px;"><asp:Label ID="lblTopTitle" runat="server" resourcekey="TopTitle" CssClass="ExpressTopTitle" /></span>
</div>

<asp:Label ID="lblStatus" runat="server"/>
<%--<asp:ValidationSummary ID="ValidationSummary1" runat="server" CssClass="SmithRequiredText" />--%>

<table runat="server" id="tblProductSection">

    <tr id="trProductName" runat="server" visible="false">
        <td width="70px"><asp:Label ID="lblItemLabel" runat="server" resourcekey="lblItemLabel" /></td>
        <td ><asp:Label ID="lblItem" runat="server" /></td>
    </tr>
    
    <tr><td></td></tr>

    <tr id="trPrice" runat="server" visible="false">
        <td><asp:Label ID="lblPriceLabel" runat="server" resourcekey="lblPriceLabel" /></td>
        <td><asp:Label ID="lblPrice" runat="server"  /></td>
    </tr>
    
    <tr id="trRecurringPrice" runat="server" visible="false">
        <td class="SmithRowHeight24"  colspan="2">
            <asp:Label ID="lblRecurringPriceLabel" runat="server"  resourcekey="lblRecurringPrice" />&nbsp;&nbsp;
            <asp:Label ID="lblRecurringPrice" runat="server"  />
        </td>
    </tr>

    <tr id="trSurcharge" runat="server" visible="false">
        <td class="SmithRowHeight24"   colspan="2">
            <asp:Label ID="lblSurchargeLabel" runat="server"  resourcekey="lblSurcharge" />&nbsp;&nbsp;
            <asp:Label ID="lblSurcharge" runat="server"  />
        </td>
    </tr>
    
    <tr id="trQuantity" runat="server" class="SmithRowHeight24" visible="false">
        <td ><%= Localization.GetString("Quantity.Text", LocalResourceFile)%></td>
        <td ><asp:TextBox ID="txtQuantity" runat="server" MaxLength="4" Width="50" TabIndex="11"  Text="1" /></td>
    </tr>
    
    <tr id="trInvoiceNo" runat="server" class="SmithRowHeight24" visible="false">
        <td nowrap="nowrap"><%= Localization.GetString("InvoiceNumber.Text", LocalResourceFile)%></td>
        <td>
            <asp:TextBox ID="txtInvoiceNo" runat="server" MaxLength="15" Width="150" TabIndex="16" />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtInvoiceNo" resourcekey="Required" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr id="trCoupon" runat="server" class="SmithRowHeight30" >
        <td  nowrap="nowrap"><%= Localization.GetString("CouponCode.Text", LocalResourceFile)%></td>
        <td>
            <asp:TextBox ID="txtCouponCode" runat="server" MaxLength="10" Width="100" TabIndex="22" />&nbsp;&nbsp
            <asp:ImageButton ID="btnCoupon" runat="server" OnClick="btnCoupon_Click" CausesValidation="false" ImageUrl="Images/apply-coupon.gif" />
       </td>
    </tr>
    
    <%--<tr><td></td><td><asp:Label runat="server" ID="lblCouponMessage" Visible="false" /></td></tr>--%>
    
    <tr><td class="SmithRowHeight15"></td></tr>
</table>


<table>
    <tr runat="server" id="trCustSectionTitle" class="SmithRowHeight24" visible="false"><td colspan="2"><asp:Label ID="lblCustNameSectionTitle" runat="server" resourcekey="CustNameSectionTitle" CssClass="NormalBold"/></td></tr>
    
    <tr runat="server" id="trCompanyName" visible="false">
        <td ><asp:Label runat="server" ID="lblCompanyName" resourcekey="lblCompanyName" />&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtCompanyName" runat="server" MaxLength="100" Width="200px" TabIndex="26"/>
            <%--<asp:RequiredFieldValidator ID="rfvCompanyName" runat="server" ControlToValidate="txtCompanyName" Display="Dynamic" resourcekey="Required" CssClass="SmithProdText"/>--%>
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap" align="left"><%= Localization.GetString("FirstName.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtParentFirstName" runat="server"  MaxLength="50" Width="200px" TabIndex="30"/>
            <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtParentFirstName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td nowrap="nowrap" align="left"  ><%= Localization.GetString("LastName.Text", LocalResourceFile)%></td>
        <td align="left" >
            <asp:TextBox ID="txtParentLastName" runat="server" MaxLength="50" TabIndex="33" Width="200px" />
            <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtParentLastName" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td ><%= Localization.GetString("Email.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtParentEmail" runat="server" MaxLength="50" Width="200px" TabIndex="35" />
            <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtParentEmail" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtParentEmail" resourcekey="InvalidEmail" Display="Dynamic" ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr><td></td></tr>
</table>

<table id="tbAddress" runat="server">
    
    <tr runat="server" id="trAddressSectionTitle" class="SmithRowHeight24" visible="false"><td colspan="2" class="NormalBold" style="height: 35px">ENTER YOUR ADDRESS</td></tr>
    <tr>
        <td   style="white-space:nowrap"><%= Localization.GetString("Address1.Text", LocalResourceFile)%></td>
        <td>
            <asp:TextBox ID="txtParentAddress" runat="server" MaxLength="100" TabIndex="40" Width="200px"/>
             <asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtParentAddress" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
         </td>
    </tr>

    <tr><td></td></tr>

    <tr id="trAddress2" runat="server" visible="false">
        <td  nowrap="nowrap" ><%= Localization.GetString("Address2.Text", LocalResourceFile)%></td>
        <td><asp:TextBox ID="txtAddress1"  Width="150px" runat="server" MaxLength="100" TabIndex="50"/></td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td  ><%= Localization.GetString("City.Text", LocalResourceFile)%></td>
        <td>
            <asp:TextBox ID="txtParentCity" runat="server" MaxLength="50" TabIndex="60" Width="200px"/>
            <asp:RequiredFieldValidator ID="rfvCity" runat="server" ControlToValidate="txtParentCity" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td  ><%= Localization.GetString("Country.Text", LocalResourceFile)%></td>
        <td >
           <asp:DropDownList ID="ddlCountry" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true" TabIndex="70"></asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td  ><%= Localization.GetString("State.Text", LocalResourceFile)%></td>
        <td >
            <asp:DropDownList ID="ddlParentState" runat="server" TabIndex="80"></asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvState" runat="server" ControlToValidate="ddlParentState" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px"  MaxLength="50" TabIndex="90"/>
            <asp:RequiredFieldValidator ID="rfvtxtState" runat="server" ControlToValidate="txtState" Enabled="false" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td  ><%= Localization.GetString("PostalCode.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtParentZip" runat="server" MaxLength="10" Width="200px" Columns="10" TabIndex="100" />
            <asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtParentZip" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            <%--<asp:RegularExpressionValidator ID="revtxtParentZip" runat="server" ControlToValidate="txtParentZip" ErrorMessage=" Zip minimum of 5 digits" ValidationExpression=".{5}.*" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr><td></td></tr>
    
    <tr runat="server" id="trContactSectionTitle" visible="false"><td colspan="2" style="height: 35px" valign="bottom"><asp:Label ID="lblContactSection" runat="server" resourcekey="ContactSectionTitle" CssClass="NormalBold"/></td></tr>
    
    <tr>
        <td  ><%= Localization.GetString("Phone.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtParentHomePhone" runat="server" MaxLength="30" Columns="15" TabIndex="120" Width="200px" />
            <asp:RequiredFieldValidator ID="rfvHomePhone" runat="server" ControlToValidate="txtParentHomePhone" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            <%--<asp:RegularExpressionValidator ID="revtxtParentHomePhone" runat="server" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" ControlToValidate="txtParentHomePhone" Display="Dynamic"/>--%>
        </td>
    </tr>
</table>

<table>
    <tr><td></td></tr>

    <tr id="trOtherPhone" runat="server" visible="false">
       <td  ><%= Localization.GetString("OtherPhone.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtCellPhone" runat="server" MaxLength="30" Columns="15" TabIndex="130" Width="200px" />
            <%--<asp:RegularExpressionValidator ID="revtxtCellPhone" runat="server" ControlToValidate="txtCellPhone" resourcekey="InvalidPhone" ValidationExpression=".{10}.*" Display="Dynamic" CssClass="SmithRequiredText"/>--%>
        </td>
    </tr>
    
    <tr runat="server" id="trAdditionalInfo" visible="false" >
        <td colspan="2" style="height: 35px" valign="bottom"><asp:Label ID="lblAdditionalInfo" runat="server" resourcekey="AdditionalInfoSectionTitle" CssClass="NormalBold"/></td>
    </tr>
    
    <tr runat="server" id="trUDF" visible="false">
        <td><asp:Label runat="server" ID="lblUDFLabel"  /></td>
        <td><asp:DropDownList ID="ddlUDFValues" runat="Server" Width="155" TabIndex="135" /></td>
    </tr>
    
    <tr runat="server" id="trPDTB" visible="false">
        <td align="left"><asp:Label runat="server" ID="lblPDTBLabel"  /></td>
        <td>
            <asp:TextBox ID="txtPDTB" runat="server" MaxLength="50" Width="200px" TabIndex="140" />
            <asp:RequiredFieldValidator ID="rfvtxtPDTB" runat="server" Enabled="false" ControlToValidate="txtPDTB" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    
    <tr runat="server" id="trPDTB2" visible="false">
        <td align="left"><asp:Label runat="server" ID="lblPDTB2Label"  /></td>
        <td>
            <asp:TextBox ID="txtPDTB2" runat="server" MaxLength="50" Width="200px" TabIndex="150" />
            <asp:RequiredFieldValidator ID="rfvtxtPDTB2" runat="server" Enabled="false" ControlToValidate="txtPDTB2" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    
    <tr runat="server" id="trPDTB3" visible="false">
        <td align="left"><asp:Label runat="server" ID="lblPDTB3Label"  /></td>
        <td>
            <asp:TextBox ID="txtPDTB3" runat="server" MaxLength="50" Width="200px" TabIndex="154" />
            <asp:RequiredFieldValidator ID="rfvtxtPDTB3" runat="server" Enabled="false" ControlToValidate="txtPDTB3" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    
    <tr runat="server" id="trFileUpload" visible="false">
        <td align="left" style="vertical-align: top;"><asp:Label runat="server" ID="lblFileUpload"  /></td>
        <td>
            <%--<asp:FileUpload ID="FileUpload1" runat="server" TabIndex="157"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" Enabled="false" ControlToValidate="FileUpload1" Display="Dynamic" resourcekey="Required"/>--%>
            <input type="file" id="FileUpload1" name="FileUpload1" class="multi" maxlength="10" multiple />
        </td>
    </tr>
    
    <tr runat="server" id="trComments" visible="false">
        <td  ><asp:Label ID="lblLabel" runat="server" resourcekey="CommentsLabel" /></td>
        <td> <asp:TextBox  runat="server" ID="txtComments" MaxLength="1000" Height="100px" Width="340" TextMode="MultiLine" TabIndex="160" /></td>
    </tr>
    <tr><td class="SmithRowHeight15"></td></tr>
</table>

<table runat="server" id="trLoginSection">
    <tr runat="server" id="trPasswordHeader">
        <td colspan="2" class="NormalBold" >
            <asp:Label runat="server"  ID="lblPasswordTitle" Text="CREATE PASSWORD ( Email will be your UserName )" CssClass="SmithProdtext" />
        </td>
    </tr>
    <tr><td class="SmithRowHeight15"></td></tr>
    <tr runat="server" id="trUserName">
        <td  ><%= Localization.GetString("UserName.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtUserName"  runat="server" MaxLength="10" Width="200px" TabIndex="169" />
            <asp:RequiredFieldValidator ID="rfvUserName" ControlToValidate="txtUserName" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr><td></td></tr>

    <tr runat="server" id="trPassword">
        <td  ><%= Localization.GetString("Password.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtPassword"  runat="server" MaxLength="10" Width="200px" TabIndex="170" TextMode="Password"/>
            <asp:RequiredFieldValidator ID="rfvtxtPassword" ControlToValidate="txtPassword" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText" />
            <%--<asp:RegularExpressionValidator ID="revtxtPassword" runat="server" ControlToValidate="txtPassword" ErrorMessage="Password must be minimum of 7 characters" ValidationExpression=".{7}.*" Display="Dynamic" CssClass="SmithRequiredText" />--%>
            <asp:RegularExpressionValidator ID="revPassword" runat="server" ControlToValidate="txtPassword" resourcekey="InvalidPassword" ValidationExpression="(?!^[0-9]*$)(?!^[a-zA-Z]*$)^([a-zA-Z0-9]{8,10})$" Display="Dynamic" CssClass="SmithRequiredText" />
       </td>
    </tr>

    <tr><td></td></tr>

    <tr runat="server" id="trPasswordConfirm">
        <td   style="white-space:nowrap"><%= Localization.GetString("ConfirmPassword.Text", LocalResourceFile)%></td>
        <td >
            <asp:TextBox ID="txtConfirmPassword"  runat="server" Width="200px" MaxLength="10" TabIndex="180" TextMode="Password"/>
            <asp:RequiredFieldValidator ID="rfvtxtConfirmPassword" ControlToValidate="txtConfirmPassword" runat="server" resourcekey="Required" Display="Dynamic" CssClass="SmithRequiredText"/>
            <asp:CompareValidator ID="cvCompPassword" runat="server" ControlToCompare="txtPassword" ControlToValidate="txtConfirmPassword" resourcekey="PasswordNoMatch" Display="Dynamic" CssClass="SmithRequiredText"/>
        </td>
    </tr>
    
    <tr class="SmithRowHeight24"><td>&nbsp;</td></tr>
</table>


<%-- ******* Payment Info Starts Here *******--%>

<table>
    <tr>
        <td colspan="2">
             <div>
               <img runat="server" id="Step2Image" style="vertical-align:middle" src="images/numbertwo.png" alt=""/>
               <span style="vertical-align:middle; line-height:40px;">
                   <asp:Label ID="lblPayTitle" runat="server" resourcekey="PayTitle" CssClass="ExpressTopTitle" />
                  <%-- <img runat="server" id="Img1" style="vertical-align:middle" src="images/secure-icon.png" alt=""/>&nbsp;&nbsp;
                   <img runat="server" id="Img2" style="vertical-align:middle" src="images/creditcards.png" alt=""/>--%>
               </span>
            </div>
        </td>
    </tr>

    <tr><td></td></tr>    

    <!-- Use Customer Address -->
    <tr>
        <td width="150px"><dnn:Label ID="UseShippingCheckbox" runat="server" /></td>
        <td><asp:CheckBox ID="chkUseShippingInfo" runat="server" AutoPostBack="True" EnableViewState="true" oncheckedchanged="chkUseShippingInfo_CheckedChanged" /></td>
    </tr>

    <tr><td></td></tr>  

    <tr runat="server" id="trShowPPCheckout">
        <td colspan="2">        
            <asp:RadioButton runat="server" ID="rdbCreditCard" Checked="true" GroupName="PaymentType" Text="Credit Card" AutoPostBack="true" OnCheckedChanged="rdbCreditCard_CheckedChanged"/>
            <asp:RadioButton runat="Server" ID="rdbPaypal" GroupName="PaymentType" Text="" AutoPostBack="true" OnCheckedChanged="rdbPaypal_CheckedChanged"/>
            <asp:Image ID="imgPaypal" runat="server" ImageUrl="Images/PayPal_mark_37x23.gif" />&nbsp;Paypal, the safer easier way to checkout.
        </td>        
    </tr>
    <tr runat="server" id="trSpacer1"><td></td></tr>

</table>

<table>
    <tr runat="server" id="trPaymentMethod">
        <td  nowrap="nowrap" ><%= Localization.GetString("PaymentMethod.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td  align="left">
            <asp:DropDownList ID="ddlPaymentMethod" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlPaymentMethod_SelectedIndexChanged" TabIndex="200" Width="150px">
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvPaymentMethod" runat="server" ControlToValidate="ddlPaymentMethod" resourcekey="Required" InitialValue="0" Enabled="True" Display="Dynamic" CssClass="SmithRequiredText"/>
        </td>
    </tr>
</table>

<asp:Panel ID="pnACH" runat="server" Width="100%">
    <table>
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("BillingName.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtACHName" runat="server" Columns="50" MaxLength="50" TabIndex="210" Width="150px"/>
                <asp:RequiredFieldValidator ID="rfvtxtACHName" runat="server" ControlToValidate="txtACHName" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>
        <tr style="height:7px"><td colspan=2></td></tr>
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("ACHAccountNumber.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtACHAccountNumber" runat="server" Columns="50" MaxLength="50" TabIndex="220" Width="150px"/>
                <asp:RequiredFieldValidator ID="rfvACHAccountNumber" runat="server" ControlToValidate="txtACHAccountNumber" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>
                    
        <tr style="height:7px"><td colspan="2"></td></tr>
                    
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("RoutingNumber.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtRoutingNo" runat="server" Columns="15" TabIndex="230" Width="200px"/> 
                <asp:RequiredFieldValidator ID="rfvRoutingNo" runat="server" ControlToValidate="txtRoutingNo" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>
                    
        <tr style="height:7px"><td></td></tr>
                    
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("Description.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtDescription" runat="server" Columns="60" MaxLength="60" TabIndex="240" Width="150px"/>
                <asp:RequiredFieldValidator ID="rfvDescription" runat="server" ControlToValidate="txtDescription" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>
    </table>

</asp:Panel>

<asp:Panel ID="pnCreditCard" runat="server" Width="100%">
    <table>
        <tr><td></td></tr>
        <tr id="trCreditCardNumber" runat="server">
            <td  nowrap="nowrap"><%= Localization.GetString("CCNo.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
            <td nowrap="nowrap">
                <asp:TextBox ID="txtAccountNumber" runat="server" Columns="50" MaxLength="16" TabIndex="250" Width="150px"/>&nbsp;&nbsp;
                <%= Localization.GetString("CCHelpMsg.Text", LocalResourceFile)%>
                <asp:RequiredFieldValidator ID="rfvtxtAccountNumber" runat="server" ControlToValidate="txtAccountNumber" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
                <asp:RegularExpressionValidator ID="revtxtAccountNumber" runat="server" ControlToValidate="txtAccountNumber" resourcekey="InvalidCreditCard" ValidationExpression=".{15}.*" Display="Dynamic" CssClass="SmithRequiredText"/>
                <asp:Label ID="lblCardMsg" runat="server" CssClass="SmithRequiredText"/>
            </td>
        </tr>
       <tr style="height:7px"><td></td></tr>        
        
        <tr runat="server" id="trExpirationDate">
            <td  nowrap="nowrap" ><%= Localization.GetString("ExpireDate.Text", LocalResourceFile)%></td>
            <td >
                <asp:DropDownList ID="ddlExpireMonth" runat="server" TabIndex="260">
                    <asp:ListItem Value="01">01</asp:ListItem>
                    <asp:ListItem Value="02">02</asp:ListItem>
                    <asp:ListItem Value="03">03</asp:ListItem>
                    <asp:ListItem Value="04">04</asp:ListItem>
                    <asp:ListItem Value="05">05</asp:ListItem>
                    <asp:ListItem Value="06">06</asp:ListItem>
                    <asp:ListItem Value="07">07</asp:ListItem>
                    <asp:ListItem Value="08">08</asp:ListItem>
                    <asp:ListItem Value="09">09</asp:ListItem>
                    <asp:ListItem Value="10">10</asp:ListItem>
                    <asp:ListItem Value="11">11</asp:ListItem>
                    <asp:ListItem Value="12">12</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="ddlExpireYear" runat="server" TabIndex="270" />
            </td>
        </tr>
        <tr style="height:7px"><td></td></tr>
                    
        <tr runat="server" id="trSecurityCode">
            <td  nowrap="nowrap" ><%= Localization.GetString("CVV.Text", LocalResourceFile)%></td>
            <td  nowrap="nowrap">
                <asp:TextBox ID="txtCVV2" runat="server" Columns="6" MaxLength="4" TabIndex="280" Width="150px"/>
                <%--<asp:LinkButton ID="LinkButton1" runat="server" OnClientClick="return showPopup()" Font-Underline="true" Text="What's this?" />--%>&nbsp;&nbsp;
                 <asp:LinkButton ID="lnkCVVHelpPopup" runat="server" resourcekey="lnkSecurityCodeHelp" CssClass="SmithMedLink" CausesValidation="false" />
                <asp:CompareValidator ID="cvFreeShipDollars" runat="server" resourcekey="InvalidCVV" ControlToValidate="txtCVV2" Operator="DataTypeCheck" Type="Integer" CssClass="SmithRequiredText"/>
            </td>
        </tr>

        <tr id="trRecurringDate" runat="server" >
            <td nowrap="nowrap" ><%= Localization.GetString("RecurStateDate.Text", LocalResourceFile)%></td>
            <td>
                <asp:DropDownList ID="ddlRecurringBillingStartDate" runat="server" TabIndex="290" >
                    <asp:ListItem Value="1">1</asp:ListItem>
                    <asp:ListItem Value="2">2</asp:ListItem>
                    <asp:ListItem Value="3">3</asp:ListItem>
                    <asp:ListItem Value="4">4</asp:ListItem>
                    <asp:ListItem Value="5">5</asp:ListItem>
                    <asp:ListItem Value="6">6</asp:ListItem>
                    <asp:ListItem Value="7">7</asp:ListItem>
                    <asp:ListItem Value="8">8</asp:ListItem>
                    <asp:ListItem Value="9">9</asp:ListItem>
                    <asp:ListItem Value="10">10</asp:ListItem>                            
                    <asp:ListItem Value="11">11</asp:ListItem>
                    <asp:ListItem Value="12">12</asp:ListItem>
                    <asp:ListItem Value="13">13</asp:ListItem>
                    <asp:ListItem Value="14">14</asp:ListItem>
                    <asp:ListItem Value="15">15</asp:ListItem>
                    <asp:ListItem Value="16">16</asp:ListItem>
                    <asp:ListItem Value="17">17</asp:ListItem>
                    <asp:ListItem Value="18">18</asp:ListItem>
                    <asp:ListItem Value="19">19</asp:ListItem>
                    <asp:ListItem Value="20">20</asp:ListItem>                                
                    <asp:ListItem Value="21">21</asp:ListItem>
                    <asp:ListItem Value="22">22</asp:ListItem>
                    <asp:ListItem Value="23">23</asp:ListItem>
                    <asp:ListItem Value="24">24</asp:ListItem>
                    <asp:ListItem Value="25">25</asp:ListItem>
                    <asp:ListItem Value="26">26</asp:ListItem>
                    <asp:ListItem Value="27">27</asp:ListItem>
                    <asp:ListItem Value="28">28</asp:ListItem>
                    <asp:ListItem Value="29">29</asp:ListItem>
                    <asp:ListItem Value="30">30</asp:ListItem>
                    <asp:ListItem Value="31">31</asp:ListItem>                                
                </asp:DropDownList>
            </td>
        </tr>

        <tr style="height:7px"><td></td></tr>                              
        <tr>
            <td nowrap="nowrap" ><%= Localization.GetString("BillingName.Text", LocalResourceFile)%></td>
            <td>
                <asp:TextBox ID="txtBillName" runat="server" Columns="60" MaxLength="60" TabIndex="300" Width="200px"/>
                <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtBillName" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" />
            </td>
        </tr>
        <tr style="height:7px"><td></td></tr>
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("BillingAddress.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtBillAddress" runat="server" Columns="60" MaxLength="60" TabIndex="310" Width="200px"/>
                <asp:RequiredFieldValidator ID="rfvStreetAddress" runat="server" ControlToValidate="txtBillAddress" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>

        <tr style="height:7px"><td></td></tr>
                    
        <tr>
            <td  nowrap="nowrap"  style="height: 25px"></td>
            <td style="height: 25px"><asp:TextBox ID="txtBillAddress2" runat="server" Width="200px" TabIndex="320"/></td>
        </tr>
                    
        <tr style="height:7px"><td></td></tr>
        
        <asp:UpdatePanel runat="server" ID="UpdatePanel1" ChildrenAsTriggers="true"><ContentTemplate>

        <tr>
            <td  ><%= Localization.GetString("Country.Text", LocalResourceFile)%></td>
            <td >
                
                <asp:DropDownList ID="ddlBillCountry" runat="server" OnSelectedIndexChanged="ddlBillCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true" TabIndex="330"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvBillCountry" runat="server" ControlToValidate="ddlBillCountry" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
                
            </td>
        </tr>

        </ContentTemplate></asp:UpdatePanel>

        <tr style="height:7px"><td></td></tr>

        <tr>
            <td><%= Localization.GetString("State.Text", LocalResourceFile)%></td>
            <td>
                <asp:DropDownList ID="ddlBillState" runat="server" TabIndex="340"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvddlBillState" runat="server" ControlToValidate="ddlBillState" InitialValue="0" Enabled="false" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
                <asp:TextBox ID="txtBillState" runat="server" Visible="false" Width="200px"  MaxLength="50" TabIndex="350"/>
                <asp:RequiredFieldValidator ID="rfvtxtBillState" runat="server" ControlToValidate="txtBillState" Enabled="false" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText"/>
            </td>
        </tr>
        

        <tr style="height:7px"><td></td></tr>
                    
        <tr>
            <td  nowrap="nowrap" ><%= Localization.GetString("PostalCode.Text", LocalResourceFile)%></td>
            <td >
                <asp:TextBox ID="txtBillZip" runat="server" Columns="6" Width="200px" TabIndex="360" />
                <asp:RequiredFieldValidator ID="rfvBillZip" runat="server" ControlToValidate="txtBillZip" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" />
                <%--<asp:RegularExpressionValidator ID="revtxtBillZip" runat="server" ControlToValidate="txtBillZip" ErrorMessage=" Zip code field must be a minimum of 5 characters" ValidationExpression=".{5}.*" Display="Dynamic" CssClass="SmithRequiredText" />--%>
            </td>
        </tr>
        <tr style="height:25px"><td></td></tr>
    </table>
</asp:Panel>


<%-- ** End Payment Info **--%>


<table>
    <tr runat="server" id="trPromoText" visible="false">
        <td colspan="2" class="promoMsgCell" ><asp:Label runat="server" ID="lblPromoText" Width="500px" /><br /></td>
    </tr>

    <tr runat="server" id="trPromoLink" visible="false">
        <td align="right" colspan="2" ><br />
            <%--<asp:LinkButton ID="lnkLoadCouponPopup" runat="server" resourcekey="lnkLoadCouponPopup" OnClick="lnkLoadCouponPopup_Click" CssClass="SmithMedLink" />--%>
            <asp:LinkButton ID="lnkLoadCouponPopup" runat="server" resourcekey="lnkLoadCouponPopup" CssClass="SmithMedLink" /><br />
            <asp:Label runat="server" ID="lblCouponMessage" Visible="false" />
        </td>
    </tr>

    <tr runat="server" id="trPDLBLabel" visible="false">
        <td align="left" colspan="2"><asp:Label runat="server" ID="lblPDLBLabel" /></td>
    </tr>
    
    <tr runat="server" id="trPDLB" visible="false">
        <td colspan="2"><div class="ListScroll"><asp:Label ID="txtPDLBText" runat="server" /></div></td>
    </tr>
    
    <tr id="trLBSpacer1" runat="server" visible="false"><td colspan="2">&nbsp;</td></tr>
                        
    <tr runat="server" id="trCB" visible="false">
        <td colspan="2">
            <asp:Label ID="lblCBLabel" runat="server" Text="I Agree to the Terms and Conditions:" />
            <asp:CheckBox ID="chkContact" runat="server" TabIndex="390" />
             <asp:Label ID="lblCheckboxMsg" runat="server" CssClass="SmithRedMsg" />
           <%-- <asp:CustomValidator ID="valTandCs" ClientValidationFunction="ValidateTandCs" runat="server" resourcekey="Required" Enabled="false" CssClass="SmithRequiredText" />--%>
            <%--<asp:RequiredFieldValidator ID="rfvtxtPDTB" runat="server" Enabled="false" ControlToValidate="chkContact" Display="Dynamic" resourcekey="Required"/>--%>
        </td>
    </tr>
    
    <tr id="trLBSpacer2" runat="server" visible="false"><td colspan="2">&nbsp;</td></tr>
    <%--<tr><td>&nbsp;</td></tr>--%>

    <%--<tr>
        <td align="center"><asp:LinkButton ID="ibBack" runat="server" OnClick="ibBack_Click" resourcekey="ibBack" CausesValidation="false" CssClass="SmithMedLink" /></td>
        <td align="left"><asp:Button ID="btnSubmit" runat="server" OnClick="btnSubmit_Click"  resourcekey="btnSubmit" CssClass="scButtonClass" TabIndex="400" />&nbsp;&nbsp;</td>
    </tr>--%>
</table>

 <ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="ibBack" runat="server" OnClick="ibBack_Click" CssClass="dnnSecondaryAction" Text="Back" resourcekey="ibBack" CausesValidation="false" />&nbsp;&nbsp;</li>
    <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit" resourcekey="btnSubmit" /></li>
</ul>

</asp:PlaceHolder>

<%--<asp:Label runat="server" ID="lblCouponMessage" Visible="false" />--%>

<br /><br /><br />


<asp:HiddenField ID="hndQuantity" Value="1" runat="server" />
